function TanikliGecmisZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−D.I/ </strong> eki, aynı zamanda, kökeninde bir [Geçmiş Zaman] <strong> EYLEMLİK </strong> eki bulundurmaktadır. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−D.I.K/ </strong> eki getirilerek [Geçmiş Zaman] <strong> ORTAÇ </strong> ve <strong>/...−D.I.k+çA/ </strong> eki getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> git-//-tik, git-//-medik </i> ... ;  <strong> ulaç </strong> : <i> git-//-tikçe, git-//-medikçe </i> ... <br> <strong> ortaç </strong> : <i> oku-//-duk, oku-//-madık </i> ... ;  <strong> ulaç </strong> : <i> oku-//-dukça, oku-//-madıkça </i> ... gibi.";

	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Sonu Sınırlı Kılışlı Yüklem (Prédicat) : <br> Tanıklı Geçmiş Zaman", "Geçici İsim Eki : /...−ø−D.I.../ &nbsp&nbsp&nbsp&nbsp  --(benzşr ünsz + benzşr kaplı ünlü)-- ", " Geçici İsim Eki : /...−mA−d.I.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var kuralDisiYanlis = [", "];
	var kuralDisiDogru  = [", "];
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "−ø";
	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "ı";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "i";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "u";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "ü";
			break;
		}
	}
	
	if (OtumsuzMu(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "−t." + geciciIsimEki;	
	}
	else
	{
		geciciIsimA = cekmTabniA + "−d." + geciciIsimEki;	
	}

	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "−d.ı";
			break;
		}
		case "e":
		{
			geciciIsimEki = "−d.i";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+m";		cekim[6] = geciciIsimA + "+//+ø−ø+k";
					cekim[1] = geciciIsimA + "+//+ø−ø+n";	 	cekim[7] = geciciIsimA + "+//+ø−ø+nız";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+m";		cekim[6] = geciciIsimA + "+//+ø−ø+k";
					cekim[1] = geciciIsimA + "+//+ø−ø+n";		cekim[7] = geciciIsimA + "+//+ø−ø+niz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+m";		cekim[6] = geciciIsimA + "+//+ø−ø+k";
					cekim[1] = geciciIsimA + "+//+ø−ø+n";		cekim[7] = geciciIsimA + "+//+ø−ø+nuz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+m";		cekim[6] = geciciIsimA + "+//+ø−ø+k";
					cekim[1] = geciciIsimA + "+//+ø−ø+n";		cekim[7] = geciciIsimA + "+//+ø−ø+nüz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+m";		cekim[9] = geciciIsimB  + "+//+ø−ø+k";
					cekim[4] = geciciIsimB + "+//+ø−ø+n";		cekim[10] = geciciIsimB + "+//+ø−ø+nız";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+ø−ø+m";		cekim[9] = geciciIsimB  + "+//+ø−ø+k";
					cekim[4] = geciciIsimB + "+//+ø−ø+n";		cekim[10] = geciciIsimB + "+//+ø−ø+niz";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+y−d+ım";			cekim[6] = geciciIsimA + "+//+y−d+ık";
					cekim[1] = geciciIsimA + "+//+y−d+ın";			cekim[7] = geciciIsimA + "+//+y−d+ınız";
					cekim[2] = geciciIsimA + "+//+y−d+ıø";			cekim[8] = geciciIsimA + "+//+y−d+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+y−d+im";			cekim[6] = geciciIsimA + "+//+y−d+ik";
					cekim[1] = geciciIsimA + "+//+y−d+in";			cekim[7] = geciciIsimA + "+//+y−d+iniz";
					cekim[2] = geciciIsimA + "+//+y−d+iø";			cekim[8] = geciciIsimA + "+//+y−d+iø[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+y−d+um";			cekim[6] = geciciIsimA + "+//+y−d+uk";
					cekim[1] = geciciIsimA + "+//+y−d+un";			cekim[7] = geciciIsimA + "+//+y−d+unuz";
					cekim[2] = geciciIsimA + "+//+y−d+uø";			cekim[8] = geciciIsimA + "+//+y−d+uø[lar]";
					break;
				}
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+y−d+üm";			cekim[6] = geciciIsimA + "+//+y−d+ük";
					cekim[1] = geciciIsimA + "+//+y−d+ün";			cekim[7] = geciciIsimA + "+//+y−d+ünüz";
					cekim[2] = geciciIsimA + "+//+y−d+üø";			cekim[8] = geciciIsimA + "+//+y−d+üø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−d+ım";			cekim[9]  = geciciIsimB + "+//+y−d+ık";
					cekim[4] = geciciIsimB + "+//+y−d+ın";			cekim[10] = geciciIsimB + "+//+y−d+ınız";
					cekim[5] = geciciIsimB + "+//+y−d+ıø";			cekim[11] = geciciIsimB + "+//+y−d+ıø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−d+im";			cekim[9]  = geciciIsimB + "+//+y−d+ik";
					cekim[4] = geciciIsimB + "+//+y−d+in";			cekim[10] = geciciIsimB + "+//+y−d+iniz";
					cekim[5] = geciciIsimB + "+//+y−d+iø";			cekim[11] = geciciIsimB + "+//+y−d+iø[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+y−mış+ım";		cekim[6] = geciciIsimA + "+//+y−mış+ız";
					cekim[1] = geciciIsimA + "+//+y−mış+sın";		cekim[7] = geciciIsimA + "+//+y−mış+sınız";
					cekim[2] = geciciIsimA + "+//+y−mış+ø";			cekim[8] = geciciIsimA + "+//+y−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+y−miş+im";		cekim[6] = geciciIsimA + "+//+y−miş+iz";
					cekim[1] = geciciIsimA + "+//+y−miş+sin";		cekim[7] = geciciIsimA + "+//+y−miş+siniz";
					cekim[2] = geciciIsimA + "+//+y−miş+ø";			cekim[8] = geciciIsimA + "+//+y−miş+ø[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+y−muş+um";		cekim[6] = geciciIsimA + "+//+y−muş+uz";
					cekim[1] = geciciIsimA + "+//+y−muş+sun";		cekim[7] = geciciIsimA + "+//+y−muş+sunuz";
					cekim[2] = geciciIsimA + "+//+y−muş+ø";			cekim[8] = geciciIsimA + "+//+y−muş+ø[lar]";
					break;
				}
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+y−müş+üm";		cekim[6] = geciciIsimA + "+//+y−müş+üz";
					cekim[1] = geciciIsimA + "+//+y−müş+sün";		cekim[7] = geciciIsimA + "+//+y−müş+sünüz";
					cekim[2] = geciciIsimA + "+//+y−müş+ø";			cekim[8] = geciciIsimA + "+//+y−müş+ø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−mış+ım";		cekim[9]  = geciciIsimB + "+//+y−mış+ız";
					cekim[4] = geciciIsimB + "+//+y−mış+sın";		cekim[10] = geciciIsimB + "+//+y−mış+sınız";
					cekim[5] = geciciIsimB + "+//+y−mış+ø";			cekim[11] = geciciIsimB + "+//+y−mış+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−miş+im";		cekim[9]  = geciciIsimB + "+//+y−miş+iz";
					cekim[4] = geciciIsimB + "+//+y−miş+sin";		cekim[10] = geciciIsimB + "+//+y−miş+siniz";
					cekim[5] = geciciIsimB + "+//+y−miş+ø";			cekim[11] = geciciIsimB + "+//+y−miş+ø[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+y−sa+m";			cekim[6] = geciciIsimA + "+//+y−sa+k";
					cekim[1] = geciciIsimA + "+//+y−sa+n";			cekim[7] = geciciIsimA + "+//+y−sa+nız";
					cekim[2] = geciciIsimA + "+//+y−sa+ø";			cekim[8] = geciciIsimA + "+//+y−sa+ø[lar]";
					break;
				}
				case "i":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+y−se+m";			cekim[6] = geciciIsimA + "+//+y−se+k";
					cekim[1] = geciciIsimA + "+//+y−se+n";			cekim[7] = geciciIsimA + "+//+y−se+niz";
					cekim[2] = geciciIsimA + "+//+y−se+ø";			cekim[8] = geciciIsimA + "+//+y−se+ø[ler]";
					break;
				}

			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "+//+y−sa+m";		cekim[9]  = geciciIsimB + "+//+y−sa+k";
					cekim[4] = geciciIsimB + "+//+y−sa+n";		cekim[10] = geciciIsimB + "+//+y−sa+nız";
					cekim[5] = geciciIsimB + "+//+y−sa+ø";		cekim[11] = geciciIsimB + "+//+y−sa+ø[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "+//+y−se+m";		cekim[9]  = geciciIsimB + "+//+y−se+k";
					cekim[4] = geciciIsimB + "+//+y−se+n";		cekim[10] = geciciIsimB + "+//+y−se+niz";
					cekim[5] = geciciIsimB + "+//+y−se+ø";		cekim[11] = geciciIsimB + "+//+y−se+ø[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}