function GenisZaman(anlmOgesi, kip)
{	   
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) !</strong> : Bu kalıpta, <strong> yen− , kon− , san− </strong>  şeklindeki tek heceli birkaç fiilin, anlamlarına göre degişen, geçerli "; 
	aciklama2 += " iki çekimleri vardır. Bunların, çok heceli fiillerinkini andıran ikinci çekimleri, başlarına bir alt çizgi işareti ' _ ' eklenerek - ya da, biri yok sayılmak üzere, ünlüleri çift yazılarak - görülebilir.";
	var ornek2 = "<strong> Örnek </strong> : <i><strong>  yen ⇒ _yen </strong>, <strong>  kon ⇒ _kon </strong>, <strong>  san ⇒ _san </strong></i> şekillerinde girilmelidir.";

	var aciklama3 = "<strong> UYARI (3) ! </strong> : <strong> Edimli: /...−°r/ </strong> ve <strong> edimsiz: /...−mA-z/ </strong> ekleri, aynı zamanda [Geniş Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki :  <strong> Edimli: /...−°r+//+ø−ken/ </strong>,  <strong> Edimsiz: /...−mA-z+//+ø−ken/ </strong> biçimlerindedir. Ayrıca, bu kalıpla ilgili kurallar, <strong> /...−mA-z+dAn/ </strong> > <strong>/...−mA-ø+dAn/ </strong> ekleriyle yapılmış <strong> edimsiz ULAÇ</strong>'lar için de geçerlidir."  
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-er, git-//-mez ... </i> ; <strong> ulaç kipi </strong> : <i> gid-//-erken, git-//-mezken </i> ... ; <strong>  edimsiz ulaç </strong> : git-//-mezden, git-//-meden ... <br> <strong> ortaç </strong> : <i> oku-//-r, oku-//-maz </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-rken, oku-//-mazken </i> ... ; <strong> edimsiz ulaç </strong> : <i> oku-//-mazdan, oku-//-madan </i> ... gibi.";

	BilgiYaz("Sonu ve Başı Sınırsız Kılışlı Yüklem (Prédicat) : <br> Geniş Zaman", "Geçici İsim Eki : /...−ø−°r+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak benzşr ünlü + benzşmz ünsz)-- ", " Geçici İsim Eki : /...−mA−Z+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}

	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;

	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç"+sonrasi+"ar", "al"+sonrasi+"ar", "kal"+sonrasi+"ar", "gel"+sonrasi+"er", "bil"+sonrasi+"er", "ol"+sonrasi+"ar", "öl"+sonrasi+"er", "bul"+sonrasi+"ar", "den"+sonrasi+"er", "var"+sonrasi+"ar", "ver"+sonrasi+"er", "gör"+sonrasi+"er", "ur"+sonrasi+"ar", "dur"+sonrasi+"ar", "vur"+sonrasi+"ar", "tat"+sonrasi+"ar", "et"+sonrasi+"er", "dit"+sonrasi+"er", "git"+sonrasi+"er", "güt"+sonrasi+"er"];
	var kuralDisiDogru  = ["sanc"+sonrasi+"ar", "al"+sonrasi+"ır", "kal"+sonrasi+"ır", "gel"+sonrasi+"ir", "bil"+sonrasi+"ir", "ol"+sonrasi+"ur", "öl"+sonrasi+"ür", "bul"+sonrasi+"ur", "den"+sonrasi+"ir", "var"+sonrasi+"ır", "ver"+sonrasi+"ir", "gör"+sonrasi+"ür", "ur"+sonrasi+"ur", "dur"+sonrasi+"ur", "vur"+sonrasi+"ur", "tad"+sonrasi+"ar", "ed"+sonrasi+"er", "did"+sonrasi+"er", "gid"+sonrasi+"er", "güd"+sonrasi+"er"];

	cekmTabniA = anlmOgesi + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimEki ="";
	}
	else
	{
		if (VokalSay(cekmTabniA) < 2)
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				case "o":
				case "u":
				{
					geciciIsimEki = "a";
					break;
				}
				case "e":
				case "i":
				case "ö":
				case "ü":
				{
					geciciIsimEki = "e";
					break;
				}
			}
		}
		else
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				{
					geciciIsimEki = "ı";
					break;
				}
				case "e":
				case "i":
				{
					geciciIsimEki = "i";
					break;
				}
				case "o":
				case "u":
				{
					geciciIsimEki = "u";
					break;
				}
				case "ö":
				case "ü":
				{
					geciciIsimEki = "ü";
					break;
				}
			}
		}
	}
	
	geciciIsimA = cekmTabniA + geciciIsimEki + "r";
	
	if (anlmOgesiVoklSayisi == 1)
	{
		for (i = 0 ; i < kuralDisiDogru.length ; i++)
		{
			if ( geciciIsimA == kurallisiYanlis[i])
			{
				geciciIsimA = kuralDisiDogru[i];
			}
		 }
	}

	geciciIsimEkiB  = "z";
	geciciIsimEkiB1 = "";
	
	geciciIsimB = cekmTabniB + geciciIsimEkiB;
	geciciIsimB1 = cekmTabniB + geciciIsimEkiB1;
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	geciciIsimB1 = oncesi + " " + geciciIsimB1; 

	
	// değişen kısım başlangıcı
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıyım";	cekim[6] = geciciIsimA + " mıyız";
					cekim[1] = geciciIsimA + " mısın"; 	cekim[7] = geciciIsimA + " mısınız";
					cekim[2] = geciciIsimA + " mı";		cekim[8] = geciciIsimA + "[lar] mı";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + " miyim";	cekim[6] = geciciIsimA + " miyiz";
					cekim[1] = geciciIsimA + " misin";	cekim[7] = geciciIsimA + " misiniz";
					cekim[2] = geciciIsimA + " mi";		cekim[8] = geciciIsimA + "[ler] mi";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + " muyum";	cekim[6] = geciciIsimA + " muyuz";
					cekim[1] = geciciIsimA + " musun";	cekim[7] = geciciIsimA + " musunuz";
					cekim[2] = geciciIsimA + " mu";		cekim[8] = geciciIsimA + "[lar] mı";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + " müyüm";	cekim[6] = geciciIsimA + " müyüz";
					cekim[1] = geciciIsimA + " müsün";	cekim[7] = geciciIsimA + " müsünüz";
					cekim[2] = geciciIsimA + " mü";		cekim[8] = geciciIsimA + "[ler] mi";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıyım";	cekim[9] = geciciIsimB  + " mıyız";
					cekim[4] = geciciIsimB + " mısın";	cekim[10] = geciciIsimB + " mısınız";
					cekim[5] = geciciIsimB + " mı";		cekim[11] = geciciIsimB + "[lar] mı";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miyim";	cekim[9] = geciciIsimB  + " miyiz";
					cekim[4] = geciciIsimB + " misin";	cekim[10] = geciciIsimB + " misiniz";
					cekim[5] = geciciIsimB + " mi";		cekim[11] = geciciIsimB + "[ler] mi";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıydım";	cekim[6] = geciciIsimA + " mıydık";
					cekim[1] = geciciIsimA + " mıydın";	cekim[7] = geciciIsimA + " mıydınız";
					cekim[2] = geciciIsimA + " mıydı";	cekim[8] = geciciIsimA + " mıydı[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + " miydim";	cekim[6] = geciciIsimA + " miydik";
					cekim[1] = geciciIsimA + " miydin";	cekim[7] = geciciIsimA + " miydiniz";
					cekim[2] = geciciIsimA + " miydi";	cekim[8] = geciciIsimA + " miydi[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + " muydum";	cekim[6] = geciciIsimA + " muyduk";
					cekim[1] = geciciIsimA + " muydun";	cekim[7] = geciciIsimA + " muydunuz";
					cekim[2] = geciciIsimA + " muydu";	cekim[8] = geciciIsimA + " muydu[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + " müydüm";	cekim[6] = geciciIsimA + " müydük";
					cekim[1] = geciciIsimA + " müydün";	cekim[7] = geciciIsimA + " müydünüz";
					cekim[2] = geciciIsimA + " müydü";	cekim[8] = geciciIsimA + " müydü[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıydım";	cekim[9]  = geciciIsimB + " mıydık";
					cekim[4] = geciciIsimB + " mıydın";	cekim[10] = geciciIsimB + " mıydınız";
					cekim[5] = geciciIsimB + " mıydı";	cekim[11] = geciciIsimB + " mıydı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miydim";	cekim[9]  = geciciIsimB + " miydik";
					cekim[4] = geciciIsimB + " miydin";	cekim[10] = geciciIsimB + " miydiniz";
					cekim[5] = geciciIsimB + " miydi";	cekim[11] = geciciIsimB + " miydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıymışım";	cekim[6] = geciciIsimA + " mıymışız";
					cekim[1] = geciciIsimA + " mıymışsın";	cekim[7] = geciciIsimA + " mıymışsınız";
					cekim[2] = geciciIsimA + " mıymış";		cekim[8] = geciciIsimA + " mıymış[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + " miymişim";	cekim[6] = geciciIsimA + " miymişiz";
					cekim[1] = geciciIsimA + " miymişsin";	cekim[7] = geciciIsimA + " miymişsiniz";
					cekim[2] = geciciIsimA + " miymiş";		cekim[8] = geciciIsimA + " miymiş[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + " muymuşum";	cekim[6] = geciciIsimA + " muymuşuz";
					cekim[1] = geciciIsimA + " muymuşsun";	cekim[7] = geciciIsimA + " muymuşsunuz";
					cekim[2] = geciciIsimA + " muymuş";		cekim[8] = geciciIsimA + " muymuş[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + " müymüşüm";	cekim[6] = geciciIsimA + " müymüşüz";
					cekim[1] = geciciIsimA + " müymüşsün";	cekim[7] = geciciIsimA + " müymüşsünüz";
					cekim[2] = geciciIsimA + " müymüş";		cekim[8] = geciciIsimA + " müymüş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıymışım";	cekim[9]  = geciciIsimB + " mıymışız";
					cekim[4] = geciciIsimB + " mıymışsın";	cekim[10] = geciciIsimB + " mıymışsınız";
					cekim[5] = geciciIsimB + " mıymış";		cekim[11] = geciciIsimB + " mıymış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miymişim";	cekim[9]  = geciciIsimB + " miymişiz";
					cekim[4] = geciciIsimB + " miymişsin";	cekim[10] = geciciIsimB + " miymişsiniz";
					cekim[5] = geciciIsimB + " miymiş";		cekim[11] = geciciIsimB + " miymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıysam";		cekim[6] = geciciIsimA + " mıysak";
					cekim[1] = geciciIsimA + " mıysan";		cekim[7] = geciciIsimA + " mıysanız";
					cekim[2] = geciciIsimA + " mıysa";		cekim[8] = geciciIsimA + " mıysa[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + " miysem";		cekim[6] = geciciIsimA + " miysek";
					cekim[1] = geciciIsimA + " miysen";		cekim[7] = geciciIsimA + " miyseniz";
					cekim[2] = geciciIsimA + " miyse";		cekim[8] = geciciIsimA + " miyse[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + " muysam";		cekim[6] = geciciIsimA + " muysak";
					cekim[1] = geciciIsimA + " muysan";		cekim[7] = geciciIsimA + " muysanız";
					cekim[2] = geciciIsimA + " muysa";		cekim[8] = geciciIsimA + " muysa[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + " müysem";		cekim[6] = geciciIsimA + " müysek";
					cekim[1] = geciciIsimA + " müysen";		cekim[7] = geciciIsimA + " müyseniz";
					cekim[2] = geciciIsimA + " müyse";		cekim[8] = geciciIsimA + " müyse[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıysam";		cekim[9]  = geciciIsimB + " mıysak";
					cekim[4] = geciciIsimB + " mıysan";		cekim[10] = geciciIsimB + " mıysanız";
					cekim[5] = geciciIsimB + " mıysa";		cekim[11] = geciciIsimB + " mıysa[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miysem";		cekim[9]  = geciciIsimB + " miysek";
					cekim[4] = geciciIsimB + " miysen";		cekim[10] = geciciIsimB + " miyseniz";
					cekim[5] = geciciIsimB + " miyse";		cekim[11] = geciciIsimB + " miyse[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}