function TanikliGecmisZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−D.I/ </strong> eki, aynı zamanda, kökeninde bir [Geçmiş Zaman] <strong> EYLEMLİK </strong> eki bulundurmaktadır. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−D.I.K/ </strong> eki getirilerek [Geçmiş Zaman] <strong> ORTAÇ </strong> ve <strong>/...−D.I.k+çA/ </strong> eki getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> git-//-tik, git-//-medik </i> ... ;  <strong> ulaç </strong> : <i> git-//-tikçe, git-//-medikçe </i> ... <br> <strong> ortaç </strong> : <i> oku-//-duk, oku-//-madık </i> ... ;  <strong> ulaç </strong> : <i> oku-//-dukça, oku-//-madıkça </i> ... gibi.";

	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Sonu Sınırlı Kılışlı Yüklem (Prédicat) : <br> Tanıklı Geçmiş Zaman", "Geçici İsim Eki : /...−ø−D.I.../ &nbsp&nbsp&nbsp&nbsp  --(benzşr ünsz + benzşr kaplı ünlü)-- ", " Geçici İsim Eki : /...−mA−d.I.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	var kuralDisiYanlis = [", "];
	var kuralDisiDogru  = [", "];
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "";
	cekmTabniA = anlmOgesi + sonrasi + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		{
			geciciIsimEki = "ı";
			break;
		}
		case "e":
		case "i":
		{
			geciciIsimEki = "i";
			break;
		}
		case "o":
		case "u":
		{
			geciciIsimEki = "u";
			break;
		}
		case "ö":
		case "ü":
		{
			geciciIsimEki = "ü";
			break;
		}
	}
	
	if (OtumsuzMu(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "t" + geciciIsimEki;	
	}
	else
	{
		geciciIsimA = cekmTabniA + "d" + geciciIsimEki;	
	}

	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "dı";
			break;
		}
		case "e":
		{
			geciciIsimEki = "di";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + "m mı";	cekim[6] = geciciIsimA + "k mı";
					cekim[1] = geciciIsimA + "n mı";	cekim[7] = geciciIsimA + "nız mı";
					cekim[2] = geciciIsimA + " mı";		cekim[8] = geciciIsimA + "[lar] mı";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + "m mi";	cekim[6] = geciciIsimA + "k mi";
					cekim[1] = geciciIsimA + "n mi";	cekim[7] = geciciIsimA + "niz mi";
					cekim[2] = geciciIsimA + " mi";		cekim[8] = geciciIsimA + "[ler] mi";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + "m mu";	cekim[6] = geciciIsimA + "k mu";
					cekim[1] = geciciIsimA + "n mu";	cekim[7] = geciciIsimA + "nuz mu";
					cekim[2] = geciciIsimA + " mu";		cekim[8] = geciciIsimA + "[lar] mı";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "m mü";	cekim[6] = geciciIsimA + "k mü";
					cekim[1] = geciciIsimA + "n mü";	cekim[7] = geciciIsimA + "nüz mü";
					cekim[2] = geciciIsimA + " mü";		cekim[8] = geciciIsimA + "[ler] mi";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + "m mı";	cekim[9] = geciciIsimB  + "k mı";
					cekim[4] = geciciIsimB + "n mı";	cekim[10] = geciciIsimB + "nız mı";
					cekim[5] = geciciIsimB + " mı";		cekim[11] = geciciIsimB + "[lar] mı";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + "m mi";	cekim[9] = geciciIsimB  + "k mi";
					cekim[4] = geciciIsimB + "n mi";	cekim[10] = geciciIsimB + "niz mi";
					cekim[5] = geciciIsimB + " mi";		cekim[11] = geciciIsimB + "[ler] mi";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıydım";	cekim[6] = geciciIsimA + " mıydık";
					cekim[1] = geciciIsimA + " mıydın";	cekim[7] = geciciIsimA + " mıydınız";
					cekim[2] = geciciIsimA + " mıydı";	cekim[8] = geciciIsimA + " mıydı[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miydim";	cekim[6] = geciciIsimA + " miydik";
					cekim[1] = geciciIsimA + " miydin";	cekim[7] = geciciIsimA + " miydiniz";
					cekim[2] = geciciIsimA + " miydi";	cekim[8] = geciciIsimA + " miydi[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + " muydum";	cekim[6] = geciciIsimA + " muyduk";
					cekim[1] = geciciIsimA + " muydun";	cekim[7] = geciciIsimA + " muydunuz";
					cekim[2] = geciciIsimA + " muydu";	cekim[8] = geciciIsimA + " muydu[lar]";
					break;
				}
				case "ü":
				{
					cekim[0] = geciciIsimA + " müydüm";	cekim[6] = geciciIsimA + " müydük";
					cekim[1] = geciciIsimA + " müydün";	cekim[7] = geciciIsimA + " müydünüz";
					cekim[2] = geciciIsimA + " müydü";	cekim[8] = geciciIsimA + " müydü[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıydım";	cekim[9]  = geciciIsimB + " mıydık";
					cekim[4] = geciciIsimB + " mıydın";	cekim[10] = geciciIsimB + " mıydınız";
					cekim[5] = geciciIsimB + " mıydı";	cekim[11] = geciciIsimB + " mıydı[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miydim";	cekim[9]  = geciciIsimB + " miydik";
					cekim[4] = geciciIsimB + " miydin";	cekim[10] = geciciIsimB + " miydiniz";
					cekim[5] = geciciIsimB + " miydi";	cekim[11] = geciciIsimB + " miydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıymışım";	cekim[6] = geciciIsimA + " mıymışız";
					cekim[1] = geciciIsimA + " mıymışsın";	cekim[7] = geciciIsimA + " mıymışsınız";
					cekim[2] = geciciIsimA + " mıymış";		cekim[8] = geciciIsimA + " mıymış[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miymişim";	cekim[6] = geciciIsimA + " miymişiz";
					cekim[1] = geciciIsimA + " miymişsin";	cekim[7] = geciciIsimA + " miymişsiniz";
					cekim[2] = geciciIsimA + " miymiş";		cekim[8] = geciciIsimA + " miymiş[ler]";
					break;
				}
				case "u":
				{
					cekim[0] = geciciIsimA + " muymuşum";	cekim[6] = geciciIsimA + " muymuşuz";
					cekim[1] = geciciIsimA + " muymuşsun";	cekim[7] = geciciIsimA + " muymuşsunuz";
					cekim[2] = geciciIsimA + " muymuş";		cekim[8] = geciciIsimA + " muymuş[lar]";
					break;
				}
				case "ü":
				{
					cekim[0] = geciciIsimA + " müymüşüm";	cekim[6] = geciciIsimA + " müymüşüz";
					cekim[1] = geciciIsimA + " müymüşsün";	cekim[7] = geciciIsimA + " müymüşsünüz";
					cekim[2] = geciciIsimA + " müymüş";		cekim[8] = geciciIsimA + " müymüş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıymışım";	cekim[9]  = geciciIsimB + " mıymışız";
					cekim[4] = geciciIsimB + " mıymışsın";	cekim[10] = geciciIsimB + " mıymışsınız";
					cekim[5] = geciciIsimB + " mıymış";		cekim[11] = geciciIsimB + " mıymış[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miymişim";	cekim[9]  = geciciIsimB + " miymişiz";
					cekim[4] = geciciIsimB + " miymişsin";	cekim[10] = geciciIsimB + " miymişsiniz";
					cekim[5] = geciciIsimB + " miymiş";		cekim[11] = geciciIsimB + " miymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "ı":
				{
					cekim[0] = geciciIsimA + " mıysam";		cekim[6] = geciciIsimA + " mıysak";
					cekim[1] = geciciIsimA + " mıysan";		cekim[7] = geciciIsimA + " mıysanız";
					cekim[2] = geciciIsimA + " mıysa";		cekim[8] = geciciIsimA + " mıysa[lar]";
					break;
				}				
				case "u":
				{
					cekim[0] = geciciIsimA + " muysam";		cekim[6] = geciciIsimA + " muysak";
					cekim[1] = geciciIsimA + " muysan";		cekim[7] = geciciIsimA + " muysanız";
					cekim[2] = geciciIsimA + " muysa";		cekim[8] = geciciIsimA + " muysa[lar]";
					break;
				}
				case "i":
				{
					cekim[0] = geciciIsimA + " miysem";		cekim[6] = geciciIsimA + " miysek";
					cekim[1] = geciciIsimA + " miysen";		cekim[7] = geciciIsimA + " miyseniz";
					cekim[2] = geciciIsimA + " miyse";		cekim[8] = geciciIsimA + " miyse[ler]";
					break;
				}				
				case "ü":
				{
					cekim[0] = geciciIsimA + " müysem";		cekim[6] = geciciIsimA + " müysek";
					cekim[1] = geciciIsimA + " müysen";		cekim[7] = geciciIsimA + " müyseniz";
					cekim[2] = geciciIsimA + " müyse";		cekim[8] = geciciIsimA + " müyse[ler]";
					break;
				}

			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "ı":
				{
					cekim[3] = geciciIsimB + " mıysam";		cekim[9]  = geciciIsimB + " mıysak";
					cekim[4] = geciciIsimB + " mıysan";		cekim[10] = geciciIsimB + " mıysanız";
					cekim[5] = geciciIsimB + " mıysa";		cekim[11] = geciciIsimB + " mıysa[lar]";
					break;
				}
				case "i":
				{
					cekim[3] = geciciIsimB + " miysem";		cekim[9]  = geciciIsimB + " miysek";
					cekim[4] = geciciIsimB + " miysen";		cekim[10] = geciciIsimB + " miyseniz";
					cekim[5] = geciciIsimB + " miyse";		cekim[11] = geciciIsimB + " miyse[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}