function GenisZaman(anlmOgesi, kip)
{	   
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) !</strong> : Bu kalıpta, <strong> yen− , kon− , san− </strong>  şeklindeki tek heceli birkaç fiilin, anlamlarına göre degişen, geçerli "; 
	aciklama2 += " iki çekimleri vardır. Bunların, çok heceli fiillerinkini andıran ikinci çekimleri, başlarına bir alt çizgi işareti ' _ ' eklenerek - ya da, biri yok sayılmak üzere, ünlüleri çift yazılarak - görülebilir.";
	var ornek2 = "<strong> Örnek </strong> : <i><strong>  yen ⇒ _yen </strong>, <strong>  kon ⇒ _kon </strong>, <strong>  san ⇒ _san </strong></i> şekillerinde girilmelidir.";

	var aciklama3 = "<strong> UYARI (3) ! </strong> : <strong> Edimli: /...−°r/ </strong> ve <strong> edimsiz: /...−mA-z/ </strong> ekleri, aynı zamanda [Geniş Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki :  <strong> Edimli: /...−°r+//+ø−ken/ </strong>,  <strong> Edimsiz: /...−mA-z+//+ø−ken/ </strong> biçimlerindedir. Ayrıca, bu kalıpla ilgili kurallar, <strong> /...−mA-z+dAn/ </strong> > <strong>/...−mA-ø+dAn/ </strong> ekleriyle yapılmış <strong> edimsiz ULAÇ</strong>'lar için de geçerlidir."  
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-er, git-//-mez ... </i> ; <strong> ulaç kipi </strong> : <i> gid-//-erken, git-//-mezken </i> ... ; <strong>  edimsiz ulaç </strong> : git-//-mezden, git-//-meden ... <br> <strong> ortaç </strong> : <i> oku-//-r, oku-//-maz </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-rken, oku-//-mazken </i> ... ; <strong> edimsiz ulaç </strong> : <i> oku-//-mazdan, oku-//-madan </i> ... gibi.";

	BilgiYaz("Sonu ve Başı Sınırsız Kılışlı Yüklem (Prédicat) : <br> Geniş Zaman", "Geçici İsim Eki : /...−ø−°r+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak benzşr ünlü + benzşmz ünsz)-- ", " Geçici İsim Eki : /...−mA−Z+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}

	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	var cekmTabniASonDortHarf
	var cekmTabniBSonUcHarfiAt
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;

	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç"+sonrasi+"ar", "al"+sonrasi+"ar", "kal"+sonrasi+"ar", "gel"+sonrasi+"er", "bil"+sonrasi+"er", "ol"+sonrasi+"ar", "öl"+sonrasi+"er", "bul"+sonrasi+"ar", "den"+sonrasi+"er", "var"+sonrasi+"ar", "ver"+sonrasi+"er", "gör"+sonrasi+"er", "ur"+sonrasi+"ar", "dur"+sonrasi+"ar", "vur"+sonrasi+"ar", "tat"+sonrasi+"ar", "et"+sonrasi+"er", "dit"+sonrasi+"er", "git"+sonrasi+"er", "güt"+sonrasi+"er"];
	var kuralDisiDogru  = ["sanc"+sonrasi+"ar", "al"+sonrasi+"ır", "kal"+sonrasi+"ır", "gel"+sonrasi+"ir", "bil"+sonrasi+"ir", "ol"+sonrasi+"ur", "öl"+sonrasi+"ür", "bul"+sonrasi+"ur", "den"+sonrasi+"ir", "var"+sonrasi+"ır", "ver"+sonrasi+"ir", "gör"+sonrasi+"ür", "ur"+sonrasi+"ur", "dur"+sonrasi+"ur", "vur"+sonrasi+"ur", "tad"+sonrasi+"ar", "ed"+sonrasi+"er", "did"+sonrasi+"er", "gid"+sonrasi+"er", "güd"+sonrasi+"er"];

	cekmTabniA = anlmOgesi + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	cekmTabniASonDortHarf = SonDortHarf(cekmTabniA)
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimEki ="";
	}
	else
	{
		if (VokalSay(cekmTabniA) < 2)
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				case "o":
				case "u":
				{
					geciciIsimEki = "a";
					break;
				}
				case "e":
				case "i":
				case "ö":
				case "ü":
				{
					geciciIsimEki = "e";
					break;
				}
			}
		}
		else
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				{
					geciciIsimEki = "ı";
					break;
				}
				case "e":
				case "i":
				{
					geciciIsimEki = "i";
					break;
				}
				case "o":
				case "u":
				{
					geciciIsimEki = "u";
					break;
				}
				case "ö":
				case "ü":
				{
					geciciIsimEki = "ü";
					break;
				}
			}
		}
	}
	
	geciciIsimA = cekmTabniA + geciciIsimEki + "r";
	
	if (anlmOgesiVoklSayisi == 1)
	{
		for (i = 0 ; i < kuralDisiDogru.length ; i++)
		{
			if ( geciciIsimA == kurallisiYanlis[i])
			{
				geciciIsimA = kuralDisiDogru[i];
			}
		 }
	}

	geciciIsimEkiB  = "z";
	geciciIsimEkiB1 = "";
	
	geciciIsimB = cekmTabniB + geciciIsimEkiB;
	geciciIsimB1 = cekmTabniB + geciciIsimEkiB1;
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	geciciIsimB1 = oncesi + " " + geciciIsimB1; 

	
	// değişen kısım başlangıcı
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "ım";		cekim[6] = geciciIsimA + "ız";
					cekim[1] = geciciIsimA + "sın"; 	cekim[7] = geciciIsimA + "sınız";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "im";		cekim[6] = geciciIsimA + "iz";
					cekim[1] = geciciIsimA + "sin";		cekim[7] = geciciIsimA + "siniz";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "um";		cekim[6] = geciciIsimA + "uz";
					cekim[1] = geciciIsimA + "sun";		cekim[7] = geciciIsimA + "sunuz";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "üm";		cekim[6] = geciciIsimA + "üz";
					cekim[1] = geciciIsimA + "sün";		cekim[7] = geciciIsimA + "sünüz";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB1+ "m";		cekim[9] = geciciIsimB1 + "yız";
					cekim[4] = geciciIsimB + "sın";		cekim[10] = geciciIsimB + "sınız";
					cekim[5] = geciciIsimB + "";		cekim[11] = geciciIsimB + "[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB1+ "m";		cekim[9] = geciciIsimB1 + "yiz";
					cekim[4] = geciciIsimB + "sin";		cekim[10] = geciciIsimB + "siniz";
					cekim[5] = geciciIsimB + "";		cekim[11] = geciciIsimB + "[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "dım";			cekim[6] = geciciIsimA + "dık";
					cekim[1] = geciciIsimA + "dın";			cekim[7] = geciciIsimA + "dınız";
					cekim[2] = geciciIsimA + "dı";			cekim[8] = geciciIsimA + "dı[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "dim";			cekim[6] = geciciIsimA + "dik";
					cekim[1] = geciciIsimA + "din";			cekim[7] = geciciIsimA + "diniz";
					cekim[2] = geciciIsimA + "di";			cekim[8] = geciciIsimA + "di[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "dum";			cekim[6] = geciciIsimA + "duk";
					cekim[1] = geciciIsimA + "dun";			cekim[7] = geciciIsimA + "dunuz";
					cekim[2] = geciciIsimA + "du";			cekim[8] = geciciIsimA + "du[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "düm";			cekim[6] = geciciIsimA + "dük";
					cekim[1] = geciciIsimA + "dün";			cekim[7] = geciciIsimA + "dünüz";
					cekim[2] = geciciIsimA + "dü";			cekim[8] = geciciIsimA + "dü[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "dım";			cekim[9]  = geciciIsimB + "dık";
					cekim[4] = geciciIsimB + "dın";			cekim[10] = geciciIsimB + "dınız";
					cekim[5] = geciciIsimB + "dı";			cekim[11] = geciciIsimB + "dı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "dim";			cekim[9]  = geciciIsimB + "dik";
					cekim[4] = geciciIsimB + "din";			cekim[10] = geciciIsimB + "diniz";
					cekim[5] = geciciIsimB + "di";			cekim[11] = geciciIsimB + "di[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "mışım";			cekim[6] = geciciIsimA + "mışız";
					cekim[1] = geciciIsimA + "mışsın";			cekim[7] = geciciIsimA + "mışsınız";
					cekim[2] = geciciIsimA + "mış";				cekim[8] = geciciIsimA + "mış[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "mişim";			cekim[6] = geciciIsimA + "mişiz";
					cekim[1] = geciciIsimA + "mişsin";			cekim[7] = geciciIsimA + "mişsiniz";
					cekim[2] = geciciIsimA + "miş";				cekim[8] = geciciIsimA + "miş[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "muşum";			cekim[6] = geciciIsimA + "muşuz";
					cekim[1] = geciciIsimA + "muşsun";			cekim[7] = geciciIsimA + "muşsunuz";
					cekim[2] = geciciIsimA + "muş";				cekim[8] = geciciIsimA + "muş[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "müşüm";			cekim[6] = geciciIsimA + "müşüz";
					cekim[1] = geciciIsimA + "müşsün";			cekim[7] = geciciIsimA + "müşsünüz";
					cekim[2] = geciciIsimA + "müş";				cekim[8] = geciciIsimA + "müş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "mışım";			cekim[9]  = geciciIsimB + "mışız";
					cekim[4] = geciciIsimB + "mışsın";			cekim[10] = geciciIsimB + "mışsınız";
					cekim[5] = geciciIsimB + "mış";				cekim[11] = geciciIsimB + "mış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "mişim";			cekim[9]  = geciciIsimB + "mişiz";
					cekim[4] = geciciIsimB + "mişsin";			cekim[10] = geciciIsimB + "mişsiniz";
					cekim[5] = geciciIsimB + "miş";				cekim[11] = geciciIsimB + "miş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "sam";				cekim[6] = geciciIsimA + "sak";
					cekim[1] = geciciIsimA + "san";				cekim[7] = geciciIsimA + "sanız";
					cekim[2] = geciciIsimA + "sa";				cekim[8] = geciciIsimA + "sa[lar]";
					break;
				}
				case "e":
				case "i":
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "sem";				cekim[6] = geciciIsimA + "sek";
					cekim[1] = geciciIsimA + "sen";				cekim[7] = geciciIsimA + "seniz";
					cekim[2] = geciciIsimA + "se";				cekim[8] = geciciIsimA + "se[ler]";
					break;
				}
/*				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "sam";				cekim[6] = geciciIsimA + "sak";
					cekim[1] = geciciIsimA + "san";				cekim[7] = geciciIsimA + "sanız";
					cekim[2] = geciciIsimA + "sa";				cekim[8] = geciciIsimA + "sa[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "sem";				cekim[6] = geciciIsimA + "sek";
					cekim[1] = geciciIsimA + "sen";				cekim[7] = geciciIsimA + "seniz";
					cekim[2] = geciciIsimA + "se";				cekim[8] = geciciIsimA + "se[ler]";
					break;
				} */
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "sam";			cekim[9]  = geciciIsimB + "sak";
					cekim[4] = geciciIsimB + "san";			cekim[10] = geciciIsimB + "sanız";
					cekim[5] = geciciIsimB + "sa";			cekim[11] = geciciIsimB + "sa[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "sem";			cekim[9]  = geciciIsimB + "sek";
					cekim[4] = geciciIsimB + "sen";			cekim[10] = geciciIsimB + "seniz";
					cekim[5] = geciciIsimB + "se";			cekim[11] = geciciIsimB + "se[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}