function YuklemIsmi(anlmOgesi, kip)			// Kalıcı vy Geçici bir YÜKLEM İSMİ'ni çekime hazırla.
{
	var aciklama1 = "<strong> UYARI (1) ! :</strong>  Dogru sonuç almak için, <strong> Çekilecek Öge </strong> kutusuna <strong> <i> YÜKLEM İSMİ </i> </strong> olabilecek isimler girilmeli ve <strong> Çekim Kalıbı </strong> pdm'nden <strong> [ * YÜKLEM İSMİ * ] </strong> seçilmelidir.";
	aciklama1 += "";
	aciklama1 += "";
	var ornek1 = "<strong> Örnek :</strong> <i> ad, kalp, tat, ...; at, tek, şeb, süt, ...; dogal, tombul, kanat, kagıt, adet, çocuk, ...; kont, ip, hiç, hap, kart, sırt, suç, ...; evde, topraktan, oglumla, yolda mı, ...</i> gibi.";

	var aciklama2 = "<strong> UYARI (2) ! :</strong>  Takdir edersiniz ki, <strong>Türkiyelice</strong>'nin baskın <strong><i>YAZIM KURALLARI</i></strong>'na, degişik sebeplerle uydurulamadıkları için, kendilerine özgü kuralları olan isimlerin hepsini buraya almak, geniş bir sözlük taraması yapmayı gerektirmektedir. Burada, programın 25. - 30. satırları arasında, bu programı geliştirmek isteyenlere, özel kurallarla ilgili örnek kümeler verilmiştir... İlgili kümelere benzer örnekler girerek programın işlerligini artıracak olanlara şimdiden teşekkür ederim."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek :</strong> <i> _ad, _kalp, _tat, ...; af, hak, rab, zıt, ...; helal, rol, alkol, ampul, saat, harp, vaat, alet, âdet, hayat, ...; yakıt, kanıt, ...;  dakik, hukuk, ...; ant, cep, genç, kap, kurt, yurt, uç, ... </i> gibi.";

	var aciklama3 = "<strong> UYARI (3) ! : /... i−ken/ </strong> edatı ve bunun ekleşmiş biçimi olan <strong> /...+//+(y)−ken/ </strong> eki, hemen bütün kalıcı ve geçici isimleri (zaman boyutlu) <strong> ULAÇ KİPİ'</strong>ne koyar."; 
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ulaç kipi </strong> : <i> 〈sag i-ken >〉 sag+//+ø-ken, çocuk+//+ø-ken, dinç+//+ø-ken, ... 〈ögrenci i-ken >〉 ögrenci+//+y-ken, yolcu+//+y-ken, ... ;  ev+//+de+//+y-ken, hasta degil+//+ø-ken ... ; başlatır+//+ø-ken, gelmez+//+ø-ken, geliyor+//+ø-ken, okuyacak+//+ø-ken, koşmalı+//+y-ken... </i> ... gibi.";

	BilgiYaz("Oluşlu Yüklem (Attribut) : <br> ", "...+ø+...", "... + degil+...",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
		
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var isimEki;
	var isimA;
	var isimA1;
	var isimB;
	
	var isimKD;
	var isimKD2;
	
	var oncesi;
	var sonrasi;
	
	var kuralDisiMi = false;
	var kuralDisiMi2= false;
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "";
	
	var kurallisiYanlis2 	= ["*veet",  	"harp", "_kalp", "vaat", 		"_ad",  "had",  "rab",  		"tıp",  "af",  "hat",  "hak",  "ret" , "şek" , "zıt",  "zül"];
	var kuralDisiDogru2  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb", 		"tıbb", "aff", "hatt", "hakk", "redd", "şekk", "zıdd", "züll"];
	var kurallisiYanlis  	= ["*veedd", 	"harb", "_kalb", "vaad", 		"_add", "hadd", "rabb",																				"faik", "saik", "şahik",		"acul", "ampul", "rol", "alkol", "alveol", "ekol", "etol", "atol", "golf", "antidot", "asfalt", "kanaat", "saat", "arzuhal", "helal", "helak", "normal", "anormal",			"kapkaç", "kıraç", "yeleç", "güleç", "sandviç", "igrenç", "malkoç", "iskoç", "kaçgöç", 		"afak", "", "dakik", "müstehak", "nahak", "mülhak", "muglak", "istihkak", "hukuk", 		"efrasiyap",	 "abdest", "âdet", "ahlat", "alet", "dehşet", "devlet", "kuvvet", "ayet", "şöhret", "anket", "aut", 		"anıt", "aygıt", "kanıt", "konut", "kurut", "yakıt", "yanıt",		"sadist", "ateist", "idealist", "realist", "kemalist", "formalist", "finalist", "rasyonalist", "kapitalist", "komünist", "sosyalist", "solist", "pesimist", "optomist", "hümanist", "piyanist", "makinist", "feminist", "egoist", "senarist", "gitarist", "militarist", "fihrist", "terörist", "turist",		"hayat", "hırvat", "rahat", "sakat", "sanat"];
	var kuralDisiDogru   	= ["*vead",  	"herb", "_kelb", "vaed", 		"_edd", "hedd", "rebb",																				"faık", "saık", "şahık",		"acül", "ampül", "röl", "alköl", "alveöl", "eköl", "etöl", "atöl", "gölf", "antidod", "asfald", "kanaed", "saed", "arzuhel", "helel", "helek", "normel", "anormel",			"kapkac", "kırac", "yelec", "gülec", "sandvic", "igrenc", "malkoc", "iskoc", "kaçgöc", 		"afag", "", "dakig", "müstehag", "nahag", "mülhag", "muglag", "istihkag", "hukug", 		"efrasiyab",	 "abdesd", "âded", "ahlad", "aled", "dehşed", "devled", "kuvved", "ayed", "şöhret", "anked", "aud", 		"anıd", "aygıd", "kanıd", "konud", "kurud", "yakıd", "yanıd",		"sadisd", "ateisd", "idealisd", "realisd", "kemalisd", "formalisd", "finalisd", "rasyonalisd", "kapitalisd", "komünisd", "sosyalisd", "solisd", "pesimisd", "optomisd", "hümanisd", "piyanisd", "makinisd", "feminisd", "egoisd", "senarisd", "gitarisd", "militarisd", "fihrisd", "terörisd", "turisd",		"hayad", "hırvad", "rahad", "sakad", "sanad"];
	
	var tekHeceliKuralDisi 	= ["ant", "art", "cep", "dip", "rop", "baç", "evç", "inç", "taç", "zaç", "lep", "dinç", "linç", "vinç", "hınç", "konç", "punç", "tunç", "harç", "plak", "renk", "denk","borç", "burç", "hurç", "murç", "zevç", "felç", "genç", "güç", "skeç", "kap", "kurt", "yurt", "kürt", "uç", "öç"];
	
	cekmTabniA = anlmOgesi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
		
	tabanEkiB = sonrasi + " degil";

	cekmTabniB = anlmOgesi + tabanEkiB;
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	isimEki = "";

	isimA = cekmTabniA + isimEki;
	
	for (i = 0 ; i < kurallisiYanlis2.length ; i++)
	{
		if ( isimA == kurallisiYanlis2[i] )
		{
			isimA = kuralDisiDogru2[i];
			isimKD2 = kurallisiYanlis2[i];
			kuralDisiMi2 = true;
		}
	}
	
    for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( isimA == kurallisiYanlis[i] )
		{
			isimA = kuralDisiDogru[i];
			isimKD = kurallisiYanlis[i];
			kuralDisiMi = true;
		}
	 }
	 
	 var tekHeceliKuralDisiMi = false;
	 
	 for (i = 0 ; i < tekHeceliKuralDisi.length ; i++)
	 {
	 	if ( isimA == tekHeceliKuralDisi[i] )
	 	{
	 		tekHeceliKuralDisiMi = true;
	 		break;
	 	}
	 }

	if ((anlmOgesiVoklSayisi > 1 || tekHeceliKuralDisiMi) && OtumsuzMu1(SonHarf(isimA)))
	{
		isimA1 = isimA.substring(0, isimA.length-1) + OtumluYap1(SonHarf(isimA));
	}
	else
	{
		isimA1 = isimA;
	}
	
	isimB = oncesi + " " + cekmTabniB + isimEki; 
	
	// değişen kısım başlangıcı
	
	var isimT;
	
	if (kuralDisiMi)
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{		
			isimA = isimKD2;
		}
		else
		{
			isimA = isimKD;
		}
		
		isimA1 = isimKD;
	}
	else
	{
		isimT = isimA;
		
		if (kuralDisiMi2)
		{
			isimA = isimKD2;
		}
	}
		
	isimA  = oncesi + " " + isimA;
	isimA1 = oncesi + " " + isimA1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "yım";			cekim[6] = isimA + sonrasi + "yız";
					}
					else
					{
					cekim[0] = isimA1 + sonrasi + "ım";			cekim[6] = isimA1 + sonrasi + "ız";
					}					
					cekim[1] = isimA + sonrasi + "sın";	 		cekim[7] = isimA + sonrasi + "sınız";
					cekim[2] = isimA + sonrasi + "";			cekim[8] = isimA + sonrasi + "[lar]";
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "yim";			cekim[6] = isimA + sonrasi + "yiz";
					}
					else
					{
					cekim[0] = isimA1 + sonrasi + "im";			cekim[6] = isimA1 + sonrasi + "iz";
					}					
					cekim[1] = isimA + sonrasi + "sin";	 		cekim[7] = isimA + sonrasi + "siniz";
					cekim[2] = isimA + sonrasi + "";			cekim[8] = isimA + sonrasi + "[ler]";
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + sonrasi + "yum";		cekim[6] = isimA  + sonrasi + "yuz";
					}
					else
					{
					cekim[0] = isimA1 + sonrasi + "um";			cekim[6] = isimA1 + sonrasi + "uz";
					}					
					cekim[1] = isimA  + sonrasi + "sun";	 	cekim[7] = isimA  + sonrasi + "sunuz";
					cekim[2] = isimA  + sonrasi + "";			cekim[8] = isimA  + sonrasi + "[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA  + sonrasi + "yüm";		cekim[6] = isimA + sonrasi + "yüz";
					}
					else
					{
					cekim[0] = isimA1 + sonrasi + "üm";			cekim[6] = isimA1 + sonrasi + "üz";
					}					
					cekim[1] = isimA  + sonrasi + "sün"; 		cekim[7] = isimA  + sonrasi + "sünüz";
					cekim[2] = isimA  + sonrasi + "";			cekim[8] = isimA  + sonrasi + "[ler]";
					break;
				}				
			}
			
				{
					cekim[3] = isimB + "im";					cekim[9] = isimB + "iz";
					cekim[4] = isimB + "sin";					cekim[10] = isimB + "siniz";
					cekim[5] = isimB + "";						cekim[11] = isimB + "[ler]";
					break;
				}

		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ydım";		cekim[6] = isimA + sonrasi + "ydık";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + sonrasi + "tım";		cekim[6] = isimA + sonrasi + "tık";	
						}
						else
						{
						cekim[0] = isimA + sonrasi + "dım";		cekim[6] = isimA + sonrasi + "dık";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ydın";		cekim[7] = isimA + sonrasi + "ydınız";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + sonrasi + "tın";		cekim[7] = isimA + sonrasi + "tınız";	
						}
						else
						{
						cekim[1] = isimA + sonrasi + "dın";		cekim[7] = isimA + sonrasi + "dınız";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ydı";			cekim[8] = isimA + sonrasi + "ydı[lar]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + sonrasi + "tı";		cekim[8] = isimA + sonrasi + "tı[lar]";	
						}
						else
						{
						cekim[2] = isimA + sonrasi + "dı";		cekim[8] = isimA + sonrasi + "dı[lar]";	
						}					
					}
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ydim";		cekim[6] = isimA + sonrasi + "ydik";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + sonrasi + "tim";		cekim[6] = isimA + sonrasi + "tik";	
						}
						else
						{
						cekim[0] = isimA + sonrasi + "dim";		cekim[6] = isimA + sonrasi + "dik";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ydin";		cekim[7] = isimA + sonrasi + "ydiniz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + sonrasi + "tin";		cekim[7] = isimA + sonrasi + "tiniz";	
						}
						else
						{
						cekim[1] = isimA + sonrasi + "din";		cekim[7] = isimA + sonrasi + "diniz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ydi";			cekim[8] = isimA + sonrasi + "ydi[ler]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + sonrasi + "ti";		cekim[8] = isimA + sonrasi + "ti[ler]";	
						}
						else
						{
						cekim[2] = isimA + sonrasi + "di";		cekim[8] = isimA + sonrasi + "di[ler]";	
						}					
					}
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ydum";		cekim[6] = isimA + sonrasi + "yduk";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + sonrasi + "tum";		cekim[6] = isimA + sonrasi + "tuk";	
						}
						else
						{
						cekim[0] = isimA + sonrasi + "dum";		cekim[6] = isimA + sonrasi + "duk";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ydun";		cekim[7] = isimA + sonrasi + "ydunuz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + sonrasi + "tun";		cekim[7] = isimA + sonrasi + "tunuz";	
						}
						else
						{
						cekim[1] = isimA + sonrasi + "dun";		cekim[7] = isimA + sonrasi + "dunuz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ydu";			cekim[8] = isimA + sonrasi + "ydu[lar]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + sonrasi + "tu";		cekim[8] = isimA + sonrasi + "tu[lar]";	
						}
						else
						{
						cekim[2] = isimA + sonrasi + "du";		cekim[8] = isimA + sonrasi + "du[lar]";	
						}					
					}
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ydüm";		cekim[6] = isimA + sonrasi + "ydük";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[0] = isimA + sonrasi + "tüm";		cekim[6] = isimA + sonrasi + "tük";	
						}
						else
						{
						cekim[0] = isimA + sonrasi + "düm";		cekim[6] = isimA + sonrasi + "dük";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ydün";		cekim[7] = isimA + sonrasi + "ydünüz";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[1] = isimA + sonrasi + "tün";		cekim[7] = isimA + sonrasi + "tünüz";	
						}
						else
						{
						cekim[1] = isimA + sonrasi + "dün";		cekim[7] = isimA + sonrasi + "dünüz";	
						}
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ydü";			cekim[8] = isimA + sonrasi + "ydü[ler]";
					}
					else
					{
						if (OtumsuzMu(SonHarf(isimA)))
						{
						cekim[2] = isimA + sonrasi + "tü";		cekim[8] = isimA + sonrasi + "tü[ler]";	
						}
						else
						{
						cekim[2] = isimA + sonrasi + "dü";		cekim[8] = isimA + sonrasi + "dü[ler]";	
						}					
					}
					break;
				}				
			}
				{
					cekim[3] = isimB + "dim";					cekim[9] = isimB + "dik";
					cekim[4] = isimB + "din";					cekim[10] = isimB + "diniz";
					cekim[5] = isimB + "di";					cekim[11] = isimB + "di[ler]";
					break;
				}
		
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ymışım";		cekim[6] = isimA + sonrasi + "ymışız";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "mışım";		cekim[6] = isimA + sonrasi + "mışız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ymışsın";		cekim[7] = isimA + sonrasi + "ymışsınız";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "mışsın";		cekim[7] = isimA + sonrasi + "mışsınız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ymış";		cekim[8] = isimA + sonrasi + "ymış[lar]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "mış";			cekim[8] = isimA + sonrasi + "mış[lar]";
					}					
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ymişim";		cekim[6] = isimA + sonrasi + "ymişiz";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "mişim";		cekim[6] = isimA + sonrasi + "mişiz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ymişsin";		cekim[7] = isimA + sonrasi + "ymişsiniz";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "mişsin";		cekim[7] = isimA + sonrasi + "mişsiniz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ymiş";		cekim[8] = isimA + sonrasi + "ymiş[ler]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "miş";			cekim[8] = isimA + sonrasi + "miş[ler]";
					}					
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ymuşum";		cekim[6] = isimA + sonrasi + "ymuşuz";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "muşum";		cekim[6] = isimA + sonrasi + "muşuz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ymuşsun";		cekim[7] = isimA + sonrasi + "ymuşsunuz";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "muşsun";		cekim[7] = isimA + sonrasi + "muşsunuz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ymuş";		cekim[8] = isimA + sonrasi + "ymuş[lar]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "muş";			cekim[8] = isimA + sonrasi + "muş[lar]";
					}					
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ymüşüm";		cekim[6] = isimA + sonrasi + "ymüşüz";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "müşüm";		cekim[6] = isimA + sonrasi + "müşüz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ymüşsün";		cekim[7] = isimA + sonrasi + "ymüşsünüz";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "müşsün";		cekim[7] = isimA + sonrasi + "müşsünüz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ymüş";		cekim[8] = isimA + sonrasi + "ymüş[ler]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "müş";			cekim[8] = isimA + sonrasi + "müş[ler]";
					}					
					break;
				}				
			}
				{
					cekim[3] = isimB + "mişim";					cekim[9] = isimB + "mişiz";
					cekim[4] = isimB + "mişsin";				cekim[10] = isimB + "mişsiniz";
					cekim[5] = isimB + "miş";					cekim[11] = isimB + "miş[ler]";
					break;
				}
		
			
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(isimT))
			{
				case "a":
				case "ı":
				case "â":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ysam";		cekim[6] = isimA + sonrasi + "ysak";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "sam";			cekim[6] = isimA + sonrasi + "sak";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ysan";		cekim[7] = isimA + sonrasi + "ysanız";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "san";			cekim[7] = isimA + sonrasi + "sanız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ysa";			cekim[8] = isimA + sonrasi + "ysa[lar]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "sa";			cekim[8] = isimA + sonrasi + "sa[lar]";
					}					
					break;
				}
				case "e":
				case "i":
				case "î":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ysem";		cekim[6] = isimA + sonrasi + "ysek";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "sem";			cekim[6] = isimA + sonrasi + "sek";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ysen";		cekim[7] = isimA + sonrasi + "yseniz";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "sen";			cekim[7] = isimA + sonrasi + "seniz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "yse";			cekim[8] = isimA + sonrasi + "yse[ler]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "se";			cekim[8] = isimA + sonrasi + "se[ler]";
					}					
					break;
				}
				case "o":
				case "u":
				case "û":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ysam";		cekim[6] = isimA + sonrasi + "ysak";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "sam";			cekim[6] = isimA + sonrasi + "sak";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ysan";		cekim[7] = isimA + sonrasi + "ysanız";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "san";			cekim[7] = isimA + sonrasi + "sanız";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "ysa";			cekim[8] = isimA + sonrasi + "ysa[lar]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "sa";			cekim[8] = isimA + sonrasi + "sa[lar]";
					}					
					break;
				}
				case "ö":
				case "ü":
				{
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[0] = isimA + sonrasi + "ysem";		cekim[6] = isimA + sonrasi + "ysek";
					}
					else
					{
					cekim[0] = isimA + sonrasi + "sem";			cekim[6] = isimA + sonrasi + "sek";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[1] = isimA + sonrasi + "ysen";		cekim[7] = isimA + sonrasi + "yseniz";
					}
					else
					{
					cekim[1] = isimA + sonrasi + "sen";			cekim[7] = isimA + sonrasi + "seniz";
					}
					
					if (VokalMi(SonHarf(isimA)))
					{				
					cekim[2] = isimA + sonrasi + "yse";			cekim[8] = isimA + sonrasi + "yse[ler]";
					}
					else
					{
					cekim[2] = isimA + sonrasi + "se";			cekim[8] = isimA + sonrasi + "se[ler]";
					}					
					break;
				}				
			}
				{
					cekim[3] = isimB + "sem";					cekim[9] = isimB + "sek";
					cekim[4] = isimB + "sen";					cekim[10] = isimB + "seniz";
					cekim[5] = isimB + "se";					cekim[11] = isimB + "se[ler]";
					break;
				}

		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz1(cekim, anlmOgesi);			// Kalıcı vy Geçici bir YÜKLEM İSMİ'nin çekimi için yazdırma işlemini çagır.
}

