function GenisZaman(anlmOgesi, kip)
{	   
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) !</strong> : Bu kalıpta, <strong> yen− , kon− , san− </strong>  şeklindeki tek heceli birkaç fiilin, anlamlarına göre degişen, geçerli "; 
	aciklama2 += " iki çekimleri vardır. Bunların, çok heceli fiillerinkini andıran ikinci çekimleri, başlarına bir alt çizgi işareti ' _ ' eklenerek - ya da, biri yok sayılmak üzere, ünlüleri çift yazılarak - görülebilir.";
	var ornek2 = "<strong> Örnek </strong> : <i><strong>  yen ⇒ _yen </strong>, <strong>  kon ⇒ _kon </strong>, <strong>  san ⇒ _san </strong></i> şekillerinde girilmelidir.";

	var aciklama3 = "<strong> UYARI (3) ! </strong> : <strong> Edimli: /...−°r/ </strong> ve <strong> edimsiz: /...−mA-z/ </strong> ekleri, aynı zamanda [Geniş Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki :  <strong> Edimli: /...−°r+//+ø−ken/ </strong>,  <strong> Edimsiz: /...−mA-z+//+ø−ken/ </strong> biçimlerindedir. Ayrıca, bu kalıpla ilgili kurallar, <strong> /...−mA-z+dAn/ </strong> > <strong>/...−mA-ø+dAn/ </strong> ekleriyle yapılmış <strong> edimsiz ULAÇ</strong>'lar için de geçerlidir."  
	aciklama3 += "";
	var ornek3 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-er, git-//-mez ... </i> ; <strong> ulaç kipi </strong> : <i> gid-//-erken, git-//-mezken </i> ... ; <strong>  edimsiz ulaç </strong> : git-//-mezden, git-//-meden ... <br> <strong> ortaç </strong> : <i> oku-//-r, oku-//-maz </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-rken, oku-//-mazken </i> ... ; <strong> edimsiz ulaç </strong> : <i> oku-//-mazdan, oku-//-madan </i> ... gibi.";

	BilgiYaz("Sonu ve Başı Sınırsız Kılışlı Yüklem (Prédicat) : <br> Geniş Zaman", "Geçici İsim Eki : /...−ø−°r+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak benzşr ünlü + benzşmz ünsz)-- ", " Geçici İsim Eki : /...−mA−Z+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
	
	
	if (VokalSay(anlmOgesi) == 0)  // çekimin gerçekleşmesi için harf dizisinde "a,e,ı,i,o,ö,u,ü" harflerinden en az bir tane bulunmalıdır.
	{
		UyariYaz();      // harf dizisinde "a,e,ı,i,o,ö,u,ü" harflerinden hiç yoksa uyar!
		return;
	}
	
											// DEGİŞKENLER
											
	var kurallisiYanlis = ["sanç−//−ø−ar", "al−//−ø−ar", "kal−//−ø−ar", "gel−//−ø−er", "bil−//−ø−er", "ol−//−ø−ar", "öl−//−ø−er", "bul−//−ø−ar", "den−//−ø−er", "var−//−ø−ar", "ver−//−ø−er", "gör−//−ø−er", "ur−//−ø−ar", "dur−//−ø−ar", "vur−//−ø−ar", "tat−//−ø−ar", "et−//−ø−er", "dit−//−ø−er", "git−//−ø−er", "güt−//−ø−er"];
	var kuralDisiDogru  = ["sanc−//−ø−ar", "al−//−ø−ır", "kal−//−ø−ır", "gel−//−ø−ir", "bil−//−ø−ir", "ol−//−ø−ur", "öl−//−ø−ür", "bul−//−ø−ur", "den−//−ø−ir", "var−//−ø−ır", "ver−//−ø−ir", "gör−//−ø−ür", "ur−//−ø−ur", "dur−//−ø−ur", "vur−//−ø−ur", "tad−//−ø−ar", "ed−//−ø−er", "did−//−ø−er", "gid−//−ø−er", "güd−//−ø−er"];
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;

	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = "−ø";
	cekmTabniA = anlmOgesi + "−//" + tabanEkiA;
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "+−//−ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "+−//−me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "−ma";
			}
			else
			{
				tabanEkiB = "−me";
			}
			cekmTabniB = anlmOgesi + "−//" + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu	
	
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabniBSonVokl1; 
	}
	
	if (VokalMi(SonHarf(anlmOgesi)))      // fiilin son harfi "a,e,ı,i,o,ö,u,ü" harflerinden biriyse
	{
		geciciIsimEki ="−r";
	}
	else								  // fiilin son harfi "a,e,ı,i,o,ö,u,ü" harflerinden biri degilse
	{
		if (VokalSay(cekmTabniA) < 2)	  // fiil içinde "a,e,ı,i,o,ö,u,ü" harflerinden sadece bir tane bulunduruyorsa
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				case "o":
				case "u":
				{
					geciciIsimEki = "−ar";
					break;
				}
				case "e":
				case "i":
				case "ö":
				case "ü":
				{
					geciciIsimEki = "−er";
					break;
				}
			}
		}
		else			// fiil içinde "a,e,ı,i,o,ö,u,ü" harflerinden en az iki tane bulunduruyorsa
		{
			switch (cekmTabniASonVokl1)
			{
				case "a":
				case "ı":
				{
					geciciIsimEki = "−ır";
					break;
				}
				case "e":
				case "i":
				{
					geciciIsimEki = "−ir";
					break;
				}
				case "o":
				case "u":
				{
					geciciIsimEki = "−ur";
					break;
				}
				case "ö":
				case "ü":
				{
					geciciIsimEki = "−ür";
					break;
				}
			}
		}
	}
	
	geciciIsimA = cekmTabniA + geciciIsimEki;
	
	if (anlmOgesiVoklSayisi == 1)
	{
		for (i = 0 ; i < kuralDisiDogru.length ; i++)
		{
			if ( geciciIsimA == kurallisiYanlis[i])
			{
				geciciIsimA = kuralDisiDogru[i];
			}
		 }
	}

	geciciIsimEkiB  = "−z";
	geciciIsimEkiB1 = "−ø";
	
	geciciIsimB = cekmTabniB + geciciIsimEkiB;
	geciciIsimB1 = cekmTabniB + geciciIsimEkiB1;
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;
	
	geciciIsimB1 = oncesi + " " + geciciIsimB1; 

	
	// değişen kısım başlangıcı
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+ım";		cekim[6] = geciciIsimA + "+//+ø−ø+ız";
					cekim[1] = geciciIsimA + "+//+ø−ø+sın"; 	cekim[7] = geciciIsimA + "+//+ø−ø+sınız";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+im";		cekim[6] = geciciIsimA + "+//+ø−ø+iz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sin";		cekim[7] = geciciIsimA + "+//+ø−ø+siniz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+um";		cekim[6] = geciciIsimA + "+//+ø−ø+uz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sun";		cekim[7] = geciciIsimA + "+//+ø−ø+sunuz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−ø+üm";		cekim[6] = geciciIsimA + "+//+ø−ø+üz";
					cekim[1] = geciciIsimA + "+//+ø−ø+sün";		cekim[7] = geciciIsimA + "+//+ø−ø+sünüz";
					cekim[2] = geciciIsimA + "+//+ø−ø+ø";		cekim[8] = geciciIsimA + "+//+ø−ø+ø[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB1 + "+//+ø−ø+m";		cekim[9] = geciciIsimB1 + "+//+ø−ø+yız";
					cekim[4] = geciciIsimB + "+//+ø−ø+sın";		cekim[10] = geciciIsimB + "+//+ø−ø+sınız";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB1 + "+//+ø−ø+m";		cekim[9] = geciciIsimB1 + "+//+ø−ø+yiz";
					cekim[4] = geciciIsimB + "+//+ø−ø+sin";		cekim[10] = geciciIsimB + "+//+ø−ø+siniz";
					cekim[5] = geciciIsimB + "+//+ø−ø+ø";		cekim[11] = geciciIsimB + "+//+ø−ø+ø[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−d+ım";			cekim[6] = geciciIsimA + "+//+ø−d+ık";
					cekim[1] = geciciIsimA + "+//+ø−d+ın";			cekim[7] = geciciIsimA + "+//+ø−d+ınız";
					cekim[2] = geciciIsimA + "+//+ø−d+ıø";			cekim[8] = geciciIsimA + "+//+ø−d+ı+ø[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−d+im";			cekim[6] = geciciIsimA + "+//+ø−d+ik";
					cekim[1] = geciciIsimA + "+//+ø−d+in";			cekim[7] = geciciIsimA + "+//+ø−d+iniz";
					cekim[2] = geciciIsimA + "+//+ø−d+iø";			cekim[8] = geciciIsimA + "+//+ø−d+iø[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−d+um";			cekim[6] = geciciIsimA + "+//+ø−d+uk";
					cekim[1] = geciciIsimA + "+//+ø−d+un";			cekim[7] = geciciIsimA + "+//+ø−d+unuz";
					cekim[2] = geciciIsimA + "+//+ø−d+uø";			cekim[8] = geciciIsimA + "+//+ø−d+uø[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−d+üm";			cekim[6] = geciciIsimA + "+//+ø−d+ük";
					cekim[1] = geciciIsimA + "+//+ø−d+ün";			cekim[7] = geciciIsimA + "+//+ø−d+ünüz";
					cekim[2] = geciciIsimA + "+//+ø−d+üø";			cekim[8] = geciciIsimA + "+//+ø−d+üø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−d+ım";			cekim[9]  = geciciIsimB + "+//+ø−d+ık";
					cekim[4] = geciciIsimB + "+//+ø−d+ın";			cekim[10] = geciciIsimB + "+//+ø−d+ınız";
					cekim[5] = geciciIsimB + "+//+ø−d+ıø";			cekim[11] = geciciIsimB + "+//+ø−d+ıø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−d+im";			cekim[9]  = geciciIsimB + "+//+ø−d+ik";
					cekim[4] = geciciIsimB + "+//+ø−d+in";			cekim[10] = geciciIsimB + "+//+ø−d+iniz";
					cekim[5] = geciciIsimB + "+//+ø−d+iø";			cekim[11] = geciciIsimB + "+//+ø−d+iø[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				{
					cekim[0] = geciciIsimA + "+//+ø−mış+ım";			cekim[6] = geciciIsimA + "+//+ø−mış+ız";
					cekim[1] = geciciIsimA + "+//+ø−mış+sın";			cekim[7] = geciciIsimA + "+//+ø−mış+sınız";
					cekim[2] = geciciIsimA + "+//+ø−mış+ø";				cekim[8] = geciciIsimA + "+//+ø−mış+ø[lar]";
					break;
				}
				case "e":
				case "i":
				{
					cekim[0] = geciciIsimA + "+//+ø−miş+im";			cekim[6] = geciciIsimA + "+//+ø−miş+iz";
					cekim[1] = geciciIsimA + "+//+ø−miş+sin";			cekim[7] = geciciIsimA + "+//+ø−miş+siniz";
					cekim[2] = geciciIsimA + "+//+ø−miş+ø";				cekim[8] = geciciIsimA + "+//+ø−miş+ø[ler]";
					break;
				}
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−muş+um";			cekim[6] = geciciIsimA + "+//+ø−muş+uz";
					cekim[1] = geciciIsimA + "+//+ø−muş+sun";			cekim[7] = geciciIsimA + "+//+ø−muş+sunuz";
					cekim[2] = geciciIsimA + "+//+ø−muş+ø";				cekim[8] = geciciIsimA + "+//+ø−muş+ø[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−müş+üm";			cekim[6] = geciciIsimA + "+//+ø−müş+üz";
					cekim[1] = geciciIsimA + "+//+ø−müş+sün";			cekim[7] = geciciIsimA + "+//+ø−müş+sünüz";
					cekim[2] = geciciIsimA + "+//+ø−müş+ø";				cekim[8] = geciciIsimA + "+//+ø−müş+ø[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−mış+ım";		cekim[9]  = geciciIsimB + "+//+ø−mış+ız";
					cekim[4] = geciciIsimB + "+//+ø−mış+sın";		cekim[10] = geciciIsimB + "+//+ø−mış+sınız";
					cekim[5] = geciciIsimB + "+//+ø−mış+ø";			cekim[11] = geciciIsimB + "+//+ø−mış+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−miş+im";		cekim[9]  = geciciIsimB + "+//+ø−miş+iz";
					cekim[4] = geciciIsimB + "+//+ø−miş+sin";		cekim[10] = geciciIsimB + "+//+ø−miş+siniz";
					cekim[5] = geciciIsimB + "+//+ø−miş+ø";			cekim[11] = geciciIsimB + "+//+ø−miş+ø[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				case "ı":
				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "+//+ø−sa+m";			cekim[6] = geciciIsimA + "+//+ø−sa+k";
					cekim[1] = geciciIsimA + "+//+ø−sa+n";			cekim[7] = geciciIsimA + "+//+ø−sa+nız";
					cekim[2] = geciciIsimA + "+//+ø−sa+ø";			cekim[8] = geciciIsimA + "+//+ø−sa+ø[lar]";
					break;
				}
				case "e":
				case "i":
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "+//+ø−se+m";			cekim[6] = geciciIsimA + "+//+ø−se+k";
					cekim[1] = geciciIsimA + "+//+ø−se+n";			cekim[7] = geciciIsimA + "+//+ø−se+niz";
					cekim[2] = geciciIsimA + "+//+ø−se+ø";			cekim[8] = geciciIsimA + "+//+ø−se+ø[ler]";
					break;
				}
/*				case "o":
				case "u":
				{
					cekim[0] = geciciIsimA + "sam";			cekim[6] = geciciIsimA + "sak";
					cekim[1] = geciciIsimA + "san";			cekim[7] = geciciIsimA + "sanız";
					cekim[2] = geciciIsimA + "sa";			cekim[8] = geciciIsimA + "sa[lar]";
					break;
				}
				case "ö":
				case "ü":
				{
					cekim[0] = geciciIsimA + "sem";			cekim[6] = geciciIsimA + "sek";
					cekim[1] = geciciIsimA + "sen";			cekim[7] = geciciIsimA + "seniz";
					cekim[2] = geciciIsimA + "se";			cekim[8] = geciciIsimA + "se[ler]";
					break;
				} */
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "+//+ø−sa+m";			cekim[9]  = geciciIsimB + "+//+ø−sa+k";
					cekim[4] = geciciIsimB + "+//+ø−sa+n";			cekim[10] = geciciIsimB + "+//+ø−sa+nız";
					cekim[5] = geciciIsimB + "+//+ø−sa+ø";			cekim[11] = geciciIsimB + "+//+ø−sa+ø[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "+//+ø−se+m";			cekim[9]  = geciciIsimB + "+//+ø−se+k";
					cekim[4] = geciciIsimB + "+//+ø−se+n";			cekim[10] = geciciIsimB + "+//+ø−se+niz";
					cekim[5] = geciciIsimB + "+//+ø−se+ø";			cekim[11] = geciciIsimB + "+//+ø−se+ø[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}