function GelecekZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−(y)A.cA.K/ </strong> eki, aynı zamanda [Gelecek Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki : <strong> /...−(y)A.cA.k+//+ø−ken/ </strong> biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−(y)A.n/ </strong> , <strong> /...−(y)A.sI/ </strong> gibi ekler getirilerek diger birkaç [Geniş Zaman] <strong> ORTAÇ </strong> ve <strong>/...−(y)A/ </strong> ve <strong> /...−(y)A.rA.k/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-ecek, git-//-meyecek </i> ... ; <strong> ulaç kipi </strong> : <i> gid-//-ecekken, git-//-meyecekken </i> ... ; <strong> ortaç </strong> : <i> gid-//-en, git-//-meyen ... ; gid-//-esi, git-//-meyesi </i> ... ; <strong> ulaç </strong> : <i> gid-//-e, git-//-meye </i> ... ; <i> gid-//-erek, git-//-meyerek </i> ... <br> <strong> ortaç </strong> : <i> oku-//-yacak, oku-//-mayacak </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-yacakken, oku-//-mayacakken </i> ... ; <strong> ortaç </strong> : <i> oku-//-yan, oku-//-mayan ... ; oku-//-yası, oku-//-mayası </i> ... ; <strong> ulaç </strong> : <i> oku-//-ya, oku-//-maya ... </i> ; <i> oku-//-yarak, oku-//-mayarak </i> ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman", "Geçici İsim Eki : /...−ø−(y)A.cA.K+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−yA.cA.K+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);	
											  
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	 	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç" + sonrasi, "tat" + sonrasi, "et" + sonrasi, "dit" + sonrasi, "git" + sonrasi, "güt" + sonrasi, "de" + sonrasi, "ye" + sonrasi]
	var kuralDisiDogru  = ["sanc" + sonrasi, "tad" + sonrasi, "ed" + sonrasi, "did" + sonrasi, "gid" + sonrasi, "güd" + sonrasi, "di" + sonrasi, "yi" + sonrasi]
	
	
	cekmTabniA = anlmOgesi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	}
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	 }	
		
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		case "o":
		case "u":
		{
			geciciIsimEki = "acak";
			geciciIsimEki1 = "acag";
			
			break;
		}
		case "e":
		case "i":
		case "ö":
		case "ü":
		{
			geciciIsimEki = "ecek";
			geciciIsimEki1 = "eceg";
			break;
		}

	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "y" + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + "y" + geciciIsimEki1;
	}
	else
	{
		geciciIsimA = cekmTabniA + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + geciciIsimEki1;
	}
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "yacak";
			geciciIsimEki1 = "yacag";
			break;
		}
		case "e":
		{
			geciciIsimEki = "yecek";
			geciciIsimEki1 = "yeceg";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki;
	geciciIsimB1 = cekmTabniB + geciciIsimEki1;
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimA1  = oncesi + " " + geciciIsimA1;
	geciciIsimB  = oncesi + " " + geciciIsimB;	
	geciciIsimB1  = oncesi + " " + geciciIsimB1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA  + " mıyım";		cekim[6] = geciciIsimA  + " mıyız";
					cekim[1] = geciciIsimA  + " mısın"; 	cekim[7] = geciciIsimA  + " mısınız";
					cekim[2] = geciciIsimA  + " mı";		cekim[8] = geciciIsimA  + "[lar] mı";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miyim";		cekim[6] = geciciIsimA  + " miyiz";
					cekim[1] = geciciIsimA + " misin";		cekim[7] = geciciIsimA  + " misiniz";
					cekim[2] = geciciIsimA + " mi";			cekim[8] = geciciIsimA  + "[ler] mi";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB  + " mıyım";		cekim[9] = geciciIsimB +  " mıyız";
					cekim[4] = geciciIsimB  + " mısın";		cekim[10] = geciciIsimB + " mısınız";
					cekim[5] = geciciIsimB  + " mı";		cekim[11] = geciciIsimB + "[lar] mı";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB  + " miyim";		cekim[9] = geciciIsimB  + " miyiz";
					cekim[4] = geciciIsimB  + " misin";		cekim[10] = geciciIsimB + " misiniz";
					cekim[5] = geciciIsimB  + " mi";		cekim[11] = geciciIsimB + "[ler] mi";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + " mıydım";		cekim[6] = geciciIsimA + " mıydık";
					cekim[1] = geciciIsimA + " mıydın";		cekim[7] = geciciIsimA + " mıydınız";
					cekim[2] = geciciIsimA + " mıydı";		cekim[8] = geciciIsimA + " mıydı[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miydim";		cekim[6] = geciciIsimA + " miydik";
					cekim[1] = geciciIsimA + " miydin";		cekim[7] = geciciIsimA + " miydiniz";
					cekim[2] = geciciIsimA + " miydi";		cekim[8] = geciciIsimA + " miydi[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıydım";		cekim[9]  = geciciIsimB + " mıydık";
					cekim[4] = geciciIsimB + " mıydın";		cekim[10] = geciciIsimB + " mıydınız";
					cekim[5] = geciciIsimB + " mıydı";		cekim[11] = geciciIsimB + " mıydı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miydim";		cekim[9]  = geciciIsimB + " miydik";
					cekim[4] = geciciIsimB + " miydin";		cekim[10] = geciciIsimB + " miydiniz";
					cekim[5] = geciciIsimB + " miydi";		cekim[11] = geciciIsimB + " miydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + " mıymışım";	cekim[6] = geciciIsimA + " mıymışız";
					cekim[1] = geciciIsimA + " mıymışsın";	cekim[7] = geciciIsimA + " mıymışsınız";
					cekim[2] = geciciIsimA + " mıymış";		cekim[8] = geciciIsimA + " mıymış[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miymişim";	cekim[6] = geciciIsimA + " miymişiz";
					cekim[1] = geciciIsimA + " miymişsin";	cekim[7] = geciciIsimA + " miymişsiniz";
					cekim[2] = geciciIsimA + " miymiş";		cekim[8] = geciciIsimA + " miymiş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıymışım";	cekim[9] = geciciIsimB  + " mıymışız";
					cekim[4] = geciciIsimB + " mıymışsın";	cekim[10] = geciciIsimB + " mıymışsınız";
					cekim[5] = geciciIsimB + " mıymış";		cekim[11] = geciciIsimB + " mıymış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miymişim";	cekim[9] = geciciIsimB  + " miymişiz";
					cekim[4] = geciciIsimB + " miymişsin";	cekim[10] = geciciIsimB + " miymişsiniz";
					cekim[5] = geciciIsimB + " miymiş";		cekim[11] = geciciIsimB + " miymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + " mıysam";		cekim[6] = geciciIsimA + " mıysak";
					cekim[1] = geciciIsimA + " mıysan"; 	cekim[7] = geciciIsimA + " mıysanız";
					cekim[2] = geciciIsimA + " mıysa";		cekim[8] = geciciIsimA + " mıysa[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miysem";		cekim[6] = geciciIsimA + " miysek";
					cekim[1] = geciciIsimA + " miysen";		cekim[7] = geciciIsimA + " miyseniz";
					cekim[2] = geciciIsimA + " miyse";		cekim[8] = geciciIsimA + " miyse[ler]";
					break;
				}
			}
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıysam";		cekim[9] = geciciIsimB  + " mıysak";
					cekim[4] = geciciIsimB + " mıysan";		cekim[10] = geciciIsimB + " mıysanız";
					cekim[5] = geciciIsimB + " mıysa";		cekim[11] = geciciIsimB + " mıysa[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miysem";		cekim[9] = geciciIsimB +  " miysek";
					cekim[4] = geciciIsimB + " miysen";		cekim[10] = geciciIsimB + " miyseniz";
					cekim[5] = geciciIsimB + " miyse";		cekim[11] = geciciIsimB + " miyse[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}

