function GelecekZamanIstek(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : Gelecek Zaman + İstek </strong> eki <strong> /...−(y)A+.../</strong>, eklemede <strong> Gelecek Zaman </strong> eki <strong> /...−(y)A.cA.K+.../ </strong> ile aynı kurallara uyar."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <i> gid-//-e ‧◊‧ gid-//-ecek ... ; git-//-meye ‧◊‧ git-//-meyecek </i> ... ; <br> <i> oku-//-ya ‧◊‧ oku-//-yacak ... ; oku-//-maya ‧◊‧ oku-//-mayacak </i> ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman + İstek", "Geçici İsim Eki : /...−ø−(y)A+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−yA+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);
											  
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	for (i = 0 ; i < 12 ; i++)
	{
		cekim[i] = "−YOK−";
	}
	 	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç" + sonrasi, "tat" + sonrasi, "et" + sonrasi, "dit" + sonrasi, "git" + sonrasi, "güt" + sonrasi, "de" + sonrasi, "ye" + sonrasi]
	var kuralDisiDogru  = ["sanc" + sonrasi, "tad" + sonrasi, "ed" + sonrasi, "did" + sonrasi, "gid" + sonrasi, "güd" + sonrasi, "di" + sonrasi, "yi" + sonrasi]
	
	cekmTabniA = anlmOgesi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	}
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	 }	
		
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		case "o":
		case "u":
		{
			geciciIsimEki = "a";
			break;
		}
		case "e":
		case "i":
		case "ö":
		case "ü":
		{
			geciciIsimEki = "e";
			break;
		}

	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "y" + geciciIsimEki;
	}
	else
	{
		geciciIsimA = cekmTabniA + geciciIsimEki;
	}
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "ya";
			break;
		}
		case "e":
		{
			geciciIsimEki = "ye";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki;
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;	
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "yım mı";		cekim[6] = geciciIsimA + "lım mı";
					cekim[1] = geciciIsimA  + "sın mı"; 	cekim[7] = geciciIsimA  + "sınız mı";
					cekim[2] = geciciIsimA  + " mı";		cekim[8] = geciciIsimA  + "[lar] mı";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "yim mi";		cekim[6] = geciciIsimA + "lim mi";
					cekim[1] = geciciIsimA + "sin mi";		cekim[7] = geciciIsimA  + "siniz mi";
					cekim[2] = geciciIsimA + " mi";			cekim[8] = geciciIsimA  + "[ler] mi";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "yım mı";		cekim[9] = geciciIsimB + "lım mı";
					cekim[4] = geciciIsimB  + "sın mı";		cekim[10] = geciciIsimB + "sınız mı";
					cekim[5] = geciciIsimB  + " mı";		cekim[11] = geciciIsimB + "[lar] mı";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "yim mi";		cekim[9] = geciciIsimB + "lim mi";
					cekim[4] = geciciIsimB  + "sin mi";		cekim[10] = geciciIsimB + "siniz mi";
					cekim[5] = geciciIsimB  + " mi";		cekim[11] = geciciIsimB + "[ler] mi";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + " mıydım";		cekim[6] = geciciIsimA + " mıydık";
					cekim[1] = geciciIsimA + " mıydın";		cekim[7] = geciciIsimA + " mıydınız";
					cekim[2] = geciciIsimA + " mıydı";		cekim[8] = geciciIsimA + " mıydı[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miydim";		cekim[6] = geciciIsimA + " miydik";
					cekim[1] = geciciIsimA + " miydin";		cekim[7] = geciciIsimA + " miydiniz";
					cekim[2] = geciciIsimA + " miydi";		cekim[8] = geciciIsimA + " miydi[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıydım";		cekim[9]  = geciciIsimB + " mıydık";
					cekim[4] = geciciIsimB + " mıydın";		cekim[10] = geciciIsimB + " mıydınız";
					cekim[5] = geciciIsimB + " mıydı";		cekim[11] = geciciIsimB + " mıydı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miydim";		cekim[9]  = geciciIsimB + " miydik";
					cekim[4] = geciciIsimB + " miydin";		cekim[10] = geciciIsimB + " miydiniz";
					cekim[5] = geciciIsimB + " miydi";		cekim[11] = geciciIsimB + " miydi[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + " mıymışım";	cekim[6] = geciciIsimA + " mıymışız";
					cekim[1] = geciciIsimA + " mıymışsın";	cekim[7] = geciciIsimA + " mıymışsınız";
					cekim[2] = geciciIsimA + " mıymış";		cekim[8] = geciciIsimA + " mıymış[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + " miymişim";	cekim[6] = geciciIsimA + " miymişiz";
					cekim[1] = geciciIsimA + " miymişsin";	cekim[7] = geciciIsimA + " miymişsiniz";
					cekim[2] = geciciIsimA + " miymiş";		cekim[8] = geciciIsimA + " miymiş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + " mıymışım";	cekim[9] = geciciIsimB  + " mıymışız";
					cekim[4] = geciciIsimB + " mıymışsın";	cekim[10] = geciciIsimB + " mıymışsınız";
					cekim[5] = geciciIsimB + " mıymış";		cekim[11] = geciciIsimB + " mıymış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + " miymişim";	cekim[9] = geciciIsimB  + " miymişiz";
					cekim[4] = geciciIsimB + " miymişsin";	cekim[10] = geciciIsimB + " miymişsiniz";
					cekim[5] = geciciIsimB + " miymiş";		cekim[11] = geciciIsimB + " miymiş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
								// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***

	Yaz(cekim, anlmOgesi);
}

