function GelecekZaman(anlmOgesi, kip)
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";
	
	var aciklama2 = "<strong> UYARI (2) ! : /...−(y)A.cA.K/ </strong> eki, aynı zamanda [Gelecek Zaman] <strong> ORTAÇ </strong> eklerindendir. <strong> ULAÇ KİPİ </strong> eki : <strong> /...−(y)A.cA.k+//+ø−ken/ </strong> biçimindedir. Ayrıca, fiillerden, <strong> <i> - kural degistirmeksizin - </i> </strong> bu ekin yerine <strong> /...−(y)A.n/ </strong> , <strong> /...−(y)A.sI/ </strong> gibi ekler getirilerek diger birkaç [Geniş Zaman] <strong> ORTAÇ </strong> ve <strong>/...−(y)A/ </strong> ve <strong> /...−(y)A.rA.k/ </strong> ekleri getirilerek de <strong> ULAÇ </strong> yapılır."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> gid-//-ecek, git-//-meyecek </i> ... ; <strong> ulaç kipi </strong> : <i> gid-//-ecekken, git-//-meyecekken </i> ... ; <strong> ortaç </strong> : <i> gid-//-en, git-//-meyen ... ; gid-//-esi, git-//-meyesi </i> ... ; <strong> ulaç </strong> : <i> gid-//-e, git-//-meye </i> ... ; <i> gid-//-erek, git-//-meyerek </i> ... <br> <strong> ortaç </strong> : <i> oku-//-yacak, oku-//-mayacak </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-yacakken, oku-//-mayacakken </i> ... ; <strong> ortaç </strong> : <i> oku-//-yan, oku-//-mayan ... ; oku-//-yası, oku-//-mayası </i> ... ; <strong> ulaç </strong> : <i> oku-//-ya, oku-//-maya ... </i> ; <i> oku-//-yarak, oku-//-mayarak </i> ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Gelecek Zaman", "Geçici İsim Eki : /...−ø−(y)A.cA.K+.../ &nbsp&nbsp&nbsp&nbsp  --(oynak ünsz + benzşr açık ünlü)-- ", " Geçici İsim Eki : /...−mA−yA.cA.K+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);	
											  
	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);
	 	
	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç" + sonrasi, "tat" + sonrasi, "et" + sonrasi, "dit" + sonrasi, "git" + sonrasi, "güt" + sonrasi, "de" + sonrasi, "ye" + sonrasi]
	var kuralDisiDogru  = ["sanc" + sonrasi, "tad" + sonrasi, "ed" + sonrasi, "did" + sonrasi, "gid" + sonrasi, "güd" + sonrasi, "di" + sonrasi, "yi" + sonrasi]
	
	
	cekmTabniA = anlmOgesi + tabanEkiA;
	
	cekmTabniASonHrfi = SonHarf(cekmTabniA);
	cekmTabniASonVokl1 = SonVokal(cekmTabniA);
	
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	}
	for (i = 0 ; i < kuralDisiDogru.length ; i++)
	{
		if ( cekmTabniA == kurallisiYanlis[i])
		{
			cekmTabniA = kuralDisiDogru[i];
		}
	 }	
		
	if (SondanIkinciVokal(cekmTabniA) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(cekmTabniA);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
											// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
		
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabnBSonVokl1;
	}
	
	switch (cekmTabniASonVokl1)
	{
		case "a":
		case "ı":
		case "o":
		case "u":
		{
			geciciIsimEki = "acak";
			geciciIsimEki1 = "acag";
			
			break;
		}
		case "e":
		case "i":
		case "ö":
		case "ü":
		{
			geciciIsimEki = "ecek";
			geciciIsimEki1 = "eceg";
			break;
		}

	}
	
	if (VokalMi(SonHarf(anlmOgesi)))
	{
		geciciIsimA = cekmTabniA + "y" + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + "y" + geciciIsimEki1;
	}
	else
	{
		geciciIsimA = cekmTabniA + geciciIsimEki;
		geciciIsimA1 = cekmTabniA + geciciIsimEki1;
	}
	
	switch (cekmTabniBSonVokl1)
	{
		case "a":
		{
			geciciIsimEki = "yacak";
			geciciIsimEki1 = "yacag";
			break;
		}
		case "e":
		{
			geciciIsimEki = "yecek";
			geciciIsimEki1 = "yeceg";
			break;
		}
	}
	
	geciciIsimB = cekmTabniB + geciciIsimEki;
	geciciIsimB1 = cekmTabniB + geciciIsimEki1;
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimA1  = oncesi + " " + geciciIsimA1;
	geciciIsimB  = oncesi + " " + geciciIsimB;	
	geciciIsimB1  = oncesi + " " + geciciIsimB1;
	
	switch (kip)
	{
		case "olay":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA1 + "ım";		cekim[6] = geciciIsimA1 + "ız";
					cekim[1] = geciciIsimA  + "sın"; 	cekim[7] = geciciIsimA  + "sınız";
					cekim[2] = geciciIsimA  + "";		cekim[8] = geciciIsimA  + "[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA1 + "im";		cekim[6] = geciciIsimA1 + "iz";
					cekim[1] = geciciIsimA + "sin";		cekim[7] = geciciIsimA  + "siniz";
					cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA  + "[ler]";
					break;
				}
			}
		
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB1 + "ım";		cekim[9] = geciciIsimB1 + "ız";
					cekim[4] = geciciIsimB  + "sın";	cekim[10] = geciciIsimB + "sınız";
					cekim[5] = geciciIsimB  + "";		cekim[11] = geciciIsimB + "[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB1 + "im";		cekim[9] = geciciIsimB1 + "iz";
					cekim[4] = geciciIsimB  + "sin";	cekim[10] = geciciIsimB + "siniz";
					cekim[5] = geciciIsimB  + "";		cekim[11] = geciciIsimB + "[ler]";
					break;
				}
			}	
			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "tım";				cekim[6] = geciciIsimA + "tık";
					cekim[1] = geciciIsimA + "tın";				cekim[7] = geciciIsimA + "tınız";
					cekim[2] = geciciIsimA + "tı";				cekim[8] = geciciIsimA + "tı[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "tim";				cekim[6] = geciciIsimA + "tik";
					cekim[1] = geciciIsimA + "tin";				cekim[7] = geciciIsimA + "tiniz";
					cekim[2] = geciciIsimA + "ti";				cekim[8] = geciciIsimA + "ti[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "tım";				cekim[9]  = geciciIsimB + "tık";
					cekim[4] = geciciIsimB + "tın";				cekim[10] = geciciIsimB + "tınız";
					cekim[5] = geciciIsimB + "tı";				cekim[11] = geciciIsimB + "tı[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "tim";				cekim[9]  = geciciIsimB + "tik";
					cekim[4] = geciciIsimB + "tin";				cekim[10] = geciciIsimB + "tiniz";
					cekim[5] = geciciIsimB + "ti";				cekim[11] = geciciIsimB + "ti[ler]";
					break;
				}
			}
			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "mışım";		cekim[6] = geciciIsimA + "mışız";
					cekim[1] = geciciIsimA + "mışsın";	 	cekim[7] = geciciIsimA + "mışsınız";
					cekim[2] = geciciIsimA + "mış";			cekim[8] = geciciIsimA + "mış[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "mişim";		cekim[6] = geciciIsimA + "mişiz";
					cekim[1] = geciciIsimA + "mişsin";		cekim[7] = geciciIsimA + "mişsiniz";
					cekim[2] = geciciIsimA + "miş";			cekim[8] = geciciIsimA + "miş[ler]";
					break;
				}
			}
			
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "mışım";		cekim[9] = geciciIsimB  + "mışız";
					cekim[4] = geciciIsimB + "mışsın";		cekim[10] = geciciIsimB + "mışsınız";
					cekim[5] = geciciIsimB + "mış";			cekim[11] = geciciIsimB + "mış[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "mişim";		cekim[9] = geciciIsimB  + "mişiz";
					cekim[4] = geciciIsimB + "mişsin";		cekim[10] = geciciIsimB + "mişsiniz";
					cekim[5] = geciciIsimB + "miş";			cekim[11] = geciciIsimB + "miş[ler]";
					break;
				}
			}
			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			switch (SonVokal(geciciIsimA))
			{
				case "a":
				{
					cekim[0] = geciciIsimA + "sam";			cekim[6] = geciciIsimA + "sak";
					cekim[1] = geciciIsimA + "san"; 			cekim[7] = geciciIsimA + "sanız";
					cekim[2] = geciciIsimA + "sa";			cekim[8] = geciciIsimA + "sa[lar]";
					break;
				}
				case "e":
				{
					cekim[0] = geciciIsimA + "sem";			cekim[6] = geciciIsimA + "sek";
					cekim[1] = geciciIsimA + "sen";			cekim[7] = geciciIsimA + "seniz";
					cekim[2] = geciciIsimA + "se";			cekim[8] = geciciIsimA + "se[ler]";
					break;
				}
			}
			switch (SonVokal(geciciIsimB))
			{
				case "a":
				{
					cekim[3] = geciciIsimB + "sam";		cekim[9] = geciciIsimB  + "sak";
					cekim[4] = geciciIsimB + "san";		cekim[10] = geciciIsimB + "sanız";
					cekim[5] = geciciIsimB + "sa";		cekim[11] = geciciIsimB + "sa[lar]";
					break;
				}
				case "e":
				{
					cekim[3] = geciciIsimB + "sem";		cekim[9] = geciciIsimB +  "sek";
					cekim[4] = geciciIsimB + "sen";		cekim[10] = geciciIsimB + "seniz";
					cekim[5] = geciciIsimB + "se";		cekim[11] = geciciIsimB + "se[ler]";
					break;
				}
			}
			break;		
		}						// --- "Koşul" kipinin sonu ---
	}   						//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);
}

