function SimdikiZaman(anlmOgesi, kip)	// Fiilden yapılmış, ŞİMDİKİ ZAMAN'da Geçici bir YÜKLEM İSMİ'ni çekime hazırla.
{
	var aciklama1 = "<strong> UYARI (1) ! :  et− </strong> yardımcı fiiliyle yapılmış bitişik yazılan birleşik fiiller, ayrı ";
	aciklama1 += "bir veri tabanı gerektirdiği için şimdilik bu programa alınmamıştır. ";
	aciklama1 += "Böyle fiiller ayrık yazılarak doğru sonuç alınabilir.";
	var ornek1 = "<strong> Örnek </strong> : <strong> addet ⇒ add et </strong> şeklinde girilmelidir.";

	var aciklama2 = "<strong> UYARI (2) ! : /...−(I)yor/ </strong> eki, aynı zamanda [Şimdiki Zaman] <strong> ORTAÇ </strong> eklerinden biri olabilirdi. <strong> ULAÇ KİPİ </strong> eki :  <strong> Edimli: /...−(I)yor+//+ø−ken/ </strong>,  <strong> Edimsiz: /...−m−Iyor+//+ø−ken/ </strong> biçimlerindedir."; 
	aciklama2 += "";
	var ornek2 = "<strong> Örnek </strong> : <strong> ortaç </strong> : <i> *[gid-//-iyor], *[git-//-miyor] ... </i> ; <strong> ulaç kipi </strong> : <i> gid-//-iyorken, git-//-miyorken </i>  ... <br> <strong> ortaç </strong> : <i> *[oku-//-yor], *[oku-//-muyor] </i> ... ; <strong> ulaç kipi </strong> : <i> oku-//-yorken, oku-//-muyorken </i>  ... gibi.";
	
	var aciklama3 = ""; 
	aciklama3 += "";
	var ornek3 = "";

	BilgiYaz("Başı Sınırlı Kılışlı Yüklem (Prédicat) : <br> Şimdiki Zaman", "Geçici İsim Eki : /...−ø−(I)yor−ø+.../ &nbsp&nbsp&nbsp&nbsp  --(benzşr/benzştrr oynak kaplı ünlü)-- ", " Geçici İsim Eki : /...−m−Iyor−ø+.../",
											  aciklama1, ornek1, aciklama2, ornek2, aciklama3, ornek3);

	if (VokalSay(anlmOgesi) == 0)
	{
		UyariYaz();
		return;
	}
	
	
	var anlmOgesiHrfSayisi;
	var anlmOgesiVoklSayisi;
	
	var tabanEkiA;
	var tabanEkiB;
	
	var cekmTabniA;
	var cekmTabniB;
	
	var cekmTabniASonHrfi;
	var cekmTabniASonVokl1;
	var cekmTabniASonVokl2;
	var cekmTabniBSonHrfi;
	var cekmTabniBSonVokl1;
	var cekmTabniBSonVokl2;
	
	var geciciIsimEki;
	var geciciIsimA;
	var geciciIsimB;
	
	var oncesi;
	var sonrasi;	
	
	var cekim = new Array(12);
	
	oncesi = Oncesi(anlmOgesi);
	sonrasi = Sonrasi(anlmOgesi);
	
	anlmOgesi = OncesiniAt(anlmOgesi);
	anlmOgesi = SonrasiniAt(anlmOgesi);

	anlmOgesiHrfSayisi = anlmOgesi.length;
	anlmOgesiVoklSayisi = VokalSay(anlmOgesi);
	tabanEkiA = sonrasi;
	
	var kurallisiYanlis = ["sanç"+sonrasi+"ıyor", "tat"+sonrasi+"ıyor", "et"+sonrasi+"iyor", "dit"+sonrasi+"iyor", "git"+sonrasi+"iyor", "güt"+sonrasi+"üyor", "ko"+sonrasi+"uyor"];
	var kuralDisiDogru  = ["sanc"+sonrasi+"ıyor", "tad"+sonrasi+"ıyor", "ed"+sonrasi+"iyor", "did"+sonrasi+"iyor", "gid"+sonrasi+"iyor", "güd"+sonrasi+"üyor", "koy"+sonrasi+"uyor"];
	
	cekmTabniASonHrfi = SonHarf(anlmOgesi);
	cekmTabniASonVokl1 = SonVokal(anlmOgesi);
	
	if (SondanIkinciVokal(anlmOgesi) != null)
	{
		cekmTabniASonVokl2 = SondanIkinciVokal(anlmOgesi);
	}
	else
	{
		cekmTabniASonVokl2 = cekmTabniASonVokl1;
	}
	
												// cekmTabniB'yi oluşturma
	
	if (SonDortHarf(anlmOgesi) == "abil")
	{
		tabanEkiB = "ma";
		cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
	}
	else
	{
		if (SonDortHarf(anlmOgesi) == "ebil")
		{
			tabanEkiB = "me";
			cekmTabniB = SonUcHarfiAt(anlmOgesi) + tabanEkiB;
		}
		else
		{			
			if (ArtliMi(cekmTabniASonVokl1))
			{
				tabanEkiB = "ma";
			}
			else
			{
				tabanEkiB = "me";
			}
			cekmTabniB = anlmOgesi + sonrasi + tabanEkiB;
		}
	}
	
											// cekmTabniB'yi oluşturmanın sonu
			
	cekmTabniBSonHrfi = SonHarf(cekmTabniB);
	cekmTabniBSonVokl1 = SonVokal(cekmTabniB);
	
	if (SondanIkinciVokal(cekmTabniB) != null)
	{
		cekmTabniBSonVokl2 = SondanIkinciVokal(cekmTabniB);
	}
	else
	{
		cekmTabniBSonVokl2 = cekmTabniBSonVokl1;
	}
	
	if (VokalMi(SonHarf(anlmOgesi)))                //  YENİDEN YAPILACAK KISIM BURADAN BAŞLAYACAK
	{
		var donusenVokal = KapaliYap(cekmTabniASonVokl2);
		var l = anlmOgesi.length;
		
		cekmTabniA = anlmOgesi.substr(0, l-1) + donusenVokal + tabanEkiA + "";
//		cekmTabniA = cekmTabniA.substr(0, l-1) + donusenVokal;
	}
	else
	{
		var eklenenVokal = KapaliYap(cekmTabniASonVokl1);
		cekmTabniA = anlmOgesi + tabanEkiA + eklenenVokal;
//		cekmTabniA += eklenenVokal;
	}
	
	geciciIsimEki = "yor";
	
	geciciIsimA = cekmTabniA + geciciIsimEki;
	
	if (anlmOgesiVoklSayisi == 1)
	{
		for (i = 0 ; i < kuralDisiDogru.length ; i++)
		{
			if ( geciciIsimA == kurallisiYanlis[i])
			{
				geciciIsimA = kuralDisiDogru[i];
			}
		 }
	}
	 
	var donusenVokal = KapaliYap(cekmTabniBSonVokl2);
	var l = cekmTabniB.length;
	cekmTabniB = cekmTabniB.substr(0, l-1) + donusenVokal;

	geciciIsimEki = "yor";
	
	geciciIsimB = cekmTabniB + geciciIsimEki; 
	
	// değişen kısım başlangıcı
	
	geciciIsimA  = oncesi + " " + geciciIsimA;
	geciciIsimB  = oncesi + " " + geciciIsimB;


	switch (kip)
	{
		case "olay":
		{
			cekim[0] = geciciIsimA + "um";		cekim[6] = geciciIsimA + "uz";
			cekim[1] = geciciIsimA + "sun"; 	cekim[7] = geciciIsimA + "sunuz";
			cekim[2] = geciciIsimA + "";		cekim[8] = geciciIsimA + "[lar]";
			
			cekim[3] = geciciIsimB + "um";		cekim[9] =  geciciIsimB + "uz";
			cekim[4] = geciciIsimB + "sun";		cekim[10] = geciciIsimB + "sunuz";
			cekim[5] = geciciIsimB + "";		cekim[11] = geciciIsimB + "[lar]";

			break;
		}						// --- "Olay" kipinin sonu ---
		
		case "anlati":
		{
			cekim[0] = geciciIsimA + "dum";		cekim[6] = geciciIsimA + "duk";
			cekim[1] = geciciIsimA + "dun";		cekim[7] = geciciIsimA + "dunuz";
			cekim[2] = geciciIsimA + "du";		cekim[8] = geciciIsimA + "du[lar]";

			cekim[3] = geciciIsimB + "dum";		cekim[9]  = geciciIsimB + "duk";
			cekim[4] = geciciIsimB + "dun";		cekim[10] = geciciIsimB + "dunuz";
			cekim[5] = geciciIsimB + "du";		cekim[11] = geciciIsimB + "du[lar]";

			break;
		}						// --- "Anlati" kipinin sonu ---
		
		case "soylenti":
		{
			cekim[0] = geciciIsimA + "muşum";	cekim[6] = geciciIsimA + "muşuz";
			cekim[1] = geciciIsimA + "muşsun";	cekim[7] = geciciIsimA + "muşsunuz";
			cekim[2] = geciciIsimA + "muş";		cekim[8] = geciciIsimA + "muş[lar]";

			cekim[3] = geciciIsimB + "muşum";	cekim[9]  = geciciIsimB + "muşuz";
			cekim[4] = geciciIsimB + "muşsun";	cekim[10] = geciciIsimB + "muşsunuz";
			cekim[5] = geciciIsimB + "muş";		cekim[11] = geciciIsimB + "muş[lar]";

			break;
		}						// --- "Soylenti" kipinin sonu ---
		
		case "kosul":
		{
			cekim[0] = geciciIsimA + "sam";		cekim[6] = geciciIsimA + "sak";
			cekim[1] = geciciIsimA + "san";		cekim[7] = geciciIsimA + "sanız";
			cekim[2] = geciciIsimA + "sa";		cekim[8] = geciciIsimA + "sa[lar]";
			
			cekim[3] = geciciIsimB + "sam";		cekim[9]  = geciciIsimB + "sak";
			cekim[4] = geciciIsimB + "san";		cekim[10] = geciciIsimB + "sanız";
			cekim[5] = geciciIsimB + "sa";		cekim[11] = geciciIsimB + "sa[lar]";

			break;	
		}						// --- "Koşul" kipinin sonu ---
	}							//   *** Kip seçimin sonu ***
	
	Yaz(cekim, anlmOgesi);			// Fiilden yapılmış, ŞİMDİKİ ZAMAN'da Geçici bir YÜKLEM İSMİ'nin çekimi için yazdırma işlemini çagır.
}
